"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.floatRt = void 0;
var t = _interopRequireWildcard(require("io-ts"));
var _Either = require("fp-ts/lib/Either");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const floatRt = exports.floatRt = new t.Type('floatRt', t.string.is, (input, context) => {
  return _Either.either.chain(t.string.validate(input, context), inputAsString => {
    const inputAsFloat = parseFloat(inputAsString);
    const maxThreeDecimals = parseFloat(inputAsFloat.toFixed(3)) === inputAsFloat;
    const isValid = inputAsFloat >= 0 && inputAsFloat <= 1 && maxThreeDecimals;
    return isValid ? t.success(inputAsString) : t.failure(input, context, 'Must be a number between 0.000 and 1');
  });
}, t.identity);