"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getApmEnrollmentFlyoutData = getApmEnrollmentFlyoutData;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _public = require("@kbn/kibana-react-plugin/public");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function StepComponent() {
  const {
    http
  } = (0, _public.useKibana)().services;
  const installApmAgentLink = http === null || http === void 0 ? void 0 : http.basePath.prepend('/app/apm/tutorial');
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiText, null, /*#__PURE__*/_react.default.createElement("p", null, _i18n.i18n.translate('xpack.apm.fleetIntegration.enrollmentFlyout.installApmAgentDescription', {
    defaultMessage: 'After the agent starts, you can install APM agents on your hosts to collect data from your applications and services.'
  }))), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "m"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiButton, {
    "data-test-subj": "apmStepComponentInstallApmAgentButton",
    fill: true,
    href: installApmAgentLink
  }, _i18n.i18n.translate('xpack.apm.fleetIntegration.enrollmentFlyout.installApmAgentButtonText', {
    defaultMessage: 'Install APM Agent'
  })));
}
function getApmEnrollmentFlyoutData() {
  return {
    title: _i18n.i18n.translate('xpack.apm.fleetIntegration.enrollmentFlyout.installApmAgentTitle', {
      defaultMessage: 'Install APM Agent'
    }),
    Component: StepComponent
  };
}