"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.tutorialRedirectRoute = void 0;
var _react = _interopRequireDefault(require("react"));
var _use_apm_plugin_context = require("../../../context/apm_plugin/use_apm_plugin_context");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function TutorialRedirect() {
  const {
    config: {
      serverlessOnboarding
    },
    core: {
      application: {
        navigateToApp
      }
    }
  } = (0, _use_apm_plugin_context.useApmPluginContext)();
  if (serverlessOnboarding) {
    navigateToApp('apm', {
      path: '/onboarding',
      replace: true
    });
  } else {
    navigateToApp('home', {
      path: '#/tutorial/apm',
      replace: true
    });
  }
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null);
}
const tutorialRedirectRoute = exports.tutorialRedirectRoute = {
  '/tutorial': {
    element: /*#__PURE__*/_react.default.createElement(TutorialRedirect, null)
  }
};