"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MaxGroupsMessage = MaxGroupsMessage;
exports.OTHER_SERVICE_NAME = void 0;
var _i18nReact = require("@kbn/i18n-react");
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const OTHER_SERVICE_NAME = exports.OTHER_SERVICE_NAME = '_other';
function MaxGroupsMessage() {
  return /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    defaultMessage: "The cardinality of APM data being collected is too high. Please review {apmServerDocs} to mitigate the situation.",
    id: "xpack.apm.tooltip.maxGroup.message",
    values: {
      apmServerDocs: /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
        "data-test-subj": "apmMaxGroupsMessageDocsLink",
        href: 'https://www.elastic.co/guide/en/kibana/8.7/troubleshooting.html#troubleshooting-too-many-transactions',
        target: "_blank"
      }, _i18n.i18n.translate('xpack.apm.tooltip.link.apmServerDocs', {
        defaultMessage: 'docs'
      }))
    }
  });
}