"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WorkpadCreate = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _reactRedux = require("react-redux");
var _app = require("../../state/selectors/app");
var _hooks = require("./hooks");
var _workpad_create = require("./workpad_create.component");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const WorkpadCreate = props => {
  const createWorkpad = (0, _hooks.useCreateWorkpad)();
  const {
    canUserWrite
  } = (0, _reactRedux.useSelector)(state => ({
    canUserWrite: (0, _app.canUserWrite)(state)
  }));
  const onClick = async () => {
    await createWorkpad();
  };
  return /*#__PURE__*/_react.default.createElement(_workpad_create.WorkpadCreate, (0, _extends2.default)({}, props, {
    onClick,
    canUserWrite
  }));
};
exports.WorkpadCreate = WorkpadCreate;