"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PagePreview = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireWildcard(require("react"));
var _reactRedux = require("react-redux");
var pageActions = _interopRequireWildcard(require("../../state/actions/pages"));
var _app = require("../../state/selectors/app");
var _workpad = require("../../state/selectors/workpad");
var _page_preview = require("./page_preview.component");
var _workpad2 = require("../../routes/workpad");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

// @ts-expect-error untyped local

const PagePreview = props => {
  const dispatch = (0, _reactRedux.useDispatch)();
  const stateFromProps = (0, _reactRedux.useSelector)(state => ({
    isWriteable: (0, _workpad.isWriteable)(state) && (0, _app.canUserWrite)(state)
  }));
  const {
    gotoPage
  } = (0, _react.useContext)(_workpad2.WorkpadRoutingContext);
  const onDuplicate = (0, _react.useCallback)(id => {
    dispatch(pageActions.duplicatePage({
      id,
      gotoPage
    }));
  }, [dispatch, gotoPage]);
  return /*#__PURE__*/_react.default.createElement(_page_preview.PagePreview, (0, _extends2.default)({}, props, {
    onDuplicate: onDuplicate,
    isWriteable: stateFromProps.isWriteable
  }));
};
exports.PagePreview = PagePreview;