"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ShapePickerPopover = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _eui = require("@elastic/eui");
var _popover = require("../popover");
var _shape_picker = require("../shape_picker");
var _shape_preview = require("../shape_preview");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ShapePickerPopover = ({
  shapes,
  onChange,
  value,
  ariaLabel
}) => {
  const button = handleClick => /*#__PURE__*/_react.default.createElement(_eui.EuiPanel, {
    paddingSize: "s",
    hasShadow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
    "aria-label": ariaLabel,
    style: {
      fontSize: 0
    },
    onClick: handleClick
  }, /*#__PURE__*/_react.default.createElement(_shape_preview.ShapePreview, {
    shape: value
  })));
  return /*#__PURE__*/_react.default.createElement(_popover.Popover, {
    panelClassName: "canvas",
    button: button
  }, () => /*#__PURE__*/_react.default.createElement(_shape_picker.ShapePicker, {
    onChange: onChange,
    shapes: shapes
  }));
};
exports.ShapePickerPopover = ShapePickerPopover;
ShapePickerPopover.propTypes = {
  ariaLabel: _propTypes.default.string,
  onChange: _propTypes.default.func,
  shapes: _propTypes.default.object.isRequired,
  value: _propTypes.default.string
};