"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.initFunctions = initFunctions;
var _asset = require("./asset");
var _filters = require("./filters");
var _timelion = require("./timelion");
var _to = require("./to");
var _plot = require("./plot");
var _pie = require("./pie");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function initFunctions(initialize) {
  return [_asset.asset, (0, _filters.filtersFunctionFactory)(initialize), (0, _timelion.timelionFunctionFactory)(initialize), (0, _to.toFunctionFactory)(initialize), (0, _pie.pieFunctionFactory)(initialize.paletteService), (0, _plot.plotFunctionFactory)(initialize.paletteService)];
}