"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CreateCaseUserActionWithoutConnectorIdRt = exports.CreateCaseUserActionRt = void 0;
var rt = _interopRequireWildcard(require("io-ts"));
var _v = require("../action/v1");
var _v2 = require("../assignees/v1");
var _v3 = require("../category/v1");
var _v4 = require("../connector/v1");
var _v5 = require("../custom_fields/v1");
var _v6 = require("../description/v1");
var _v7 = require("../settings/v1");
var _v8 = require("../tags/v1");
var _v9 = require("../title/v1");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const CommonFieldsRt = rt.strict({
  type: rt.literal(_v.UserActionTypes.create_case)
});
const CommonPayloadAttributesRt = rt.strict({
  assignees: _v2.AssigneesUserActionPayloadRt.type.props.assignees,
  description: _v6.DescriptionUserActionPayloadRt.type.props.description,
  status: rt.string,
  severity: rt.string,
  tags: _v8.TagsUserActionPayloadRt.type.props.tags,
  title: _v9.TitleUserActionPayloadRt.type.props.title,
  settings: _v7.SettingsUserActionPayloadRt.type.props.settings,
  owner: rt.string
});
const OptionalPayloadAttributesRt = rt.exact(rt.partial({
  category: _v3.CategoryUserActionPayloadRt.type.props.category,
  customFields: _v5.CustomFieldsUserActionPayloadRt.type.props.customFields
}));
const PayloadAttributesRt = rt.intersection([CommonPayloadAttributesRt, OptionalPayloadAttributesRt]);
const CreateCaseUserActionRt = exports.CreateCaseUserActionRt = rt.intersection([CommonFieldsRt, rt.strict({
  payload: rt.intersection([_v4.ConnectorUserActionPayloadRt, PayloadAttributesRt])
})]);
const CreateCaseUserActionWithoutConnectorIdRt = exports.CreateCaseUserActionWithoutConnectorIdRt = rt.intersection([CommonFieldsRt, rt.strict({
  payload: rt.intersection([_v4.ConnectorUserActionPayloadWithoutConnectorIdRt, PayloadAttributesRt])
})]);