"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Category = void 0;
var _react = _interopRequireWildcard(require("react"));
var _use_get_categories = require("../../containers/use_get_categories");
var _category_form_field = require("../category/category_form_field");
var _optional_field_label = require("../optional_field_label");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const CategoryComponent = ({
  isLoading
}) => {
  const {
    isLoading: isLoadingCategories,
    data: categories = []
  } = (0, _use_get_categories.useGetCategories)();
  return /*#__PURE__*/_react.default.createElement(_category_form_field.CategoryFormField, {
    isLoading: isLoading || isLoadingCategories,
    availableCategories: categories,
    formRowProps: {
      labelAppend: _optional_field_label.OptionalFieldLabel
    }
  });
};
CategoryComponent.displayName = 'CategoryComponent';
const Category = exports.Category = /*#__PURE__*/(0, _react.memo)(CategoryComponent);