"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.View = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ViewComponent = ({
  customField
}) => {
  const value = Boolean(customField === null || customField === void 0 ? void 0 : customField.value);
  const iconType = value ? 'check' : 'empty';
  return /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
    "data-test-subj": `toggle-custom-field-view-${customField === null || customField === void 0 ? void 0 : customField.key}`,
    type: iconType
  }, value);
};
ViewComponent.displayName = 'View';
const View = exports.View = /*#__PURE__*/_react.default.memo(ViewComponent);