"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FileNameLink = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var i18n = _interopRequireWildcard(require("./translations"));
var _utils = require("./utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const FileNameLinkComponent = ({
  file,
  showPreview
}) => {
  let fileName = file.name;
  if (typeof file.extension !== 'undefined') {
    fileName += `.${file.extension}`;
  }
  if ((0, _utils.isImage)(file)) {
    return /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
      onClick: showPreview,
      "data-test-subj": "cases-files-name-link"
    }, fileName);
  } else {
    return /*#__PURE__*/_react.default.createElement("span", {
      title: i18n.NO_PREVIEW,
      "data-test-subj": "cases-files-name-text"
    }, fileName);
  }
};
FileNameLinkComponent.displayName = 'FileNameLink';
const FileNameLink = exports.FileNameLink = /*#__PURE__*/_react.default.memo(FileNameLinkComponent);