"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NoPrivilegesPage = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var i18n = _interopRequireWildcard(require("./translations"));
var _navigation = require("../../common/navigation");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const NoPrivilegesPage = exports.NoPrivilegesPage = /*#__PURE__*/_react.default.memo(({
  pageName
}) => {
  const {
    navigateToAllCases
  } = (0, _navigation.useAllCasesNavigation)();
  return /*#__PURE__*/_react.default.createElement(_eui.EuiEmptyPrompt, {
    iconColor: "default",
    iconType: "casesApp",
    title: /*#__PURE__*/_react.default.createElement("h2", null, i18n.NO_PRIVILEGES_TITLE),
    titleSize: "xs",
    body: /*#__PURE__*/_react.default.createElement("p", null, i18n.NO_PRIVILEGES_MSG(pageName)),
    actions: /*#__PURE__*/_react.default.createElement(_eui.EuiButton, {
      onClick: navigateToAllCases,
      size: "s",
      color: "primary",
      fill: true
    }, i18n.NO_PRIVILEGES_BUTTON)
  });
});
NoPrivilegesPage.displayName = 'NoPrivilegesPage';