"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.registerUIActions = void 0;
var _public = require("@kbn/embeddable-plugin/public");
var _add_to_existing_case = require("./add_to_existing_case");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const registerUIActions = ({
  core,
  plugins,
  caseContextProps,
  history,
  storage
}) => {
  registerLensActions({
    core,
    plugins,
    caseContextProps,
    history,
    storage
  });
};
exports.registerUIActions = registerUIActions;
const registerLensActions = ({
  core,
  plugins,
  caseContextProps,
  history,
  storage
}) => {
  const addToExistingCaseAction = (0, _add_to_existing_case.createAddToExistingCaseLensAction)({
    core,
    plugins,
    caseContextProps,
    history,
    storage
  });
  plugins.uiActions.addTriggerAction(_public.CONTEXT_MENU_TRIGGER, addToExistingCaseAction);
};