"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCloudDefendIntegration = void 0;
var _reactQuery = require("@tanstack/react-query");
var _common = require("@kbn/fleet-plugin/common");
var _constants = require("../../../common/constants");
var _use_kibana = require("../hooks/use_kibana");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * This hook will find our integration and return its PackageInfo
 * */
const useCloudDefendIntegration = () => {
  const {
    http
  } = (0, _use_kibana.useKibana)().services;
  return (0, _reactQuery.useQuery)(['integrations'], () => http.get(_common.epmRouteService.getInfoPath(_constants.INTEGRATION_PACKAGE_NAME)));
};
exports.useCloudDefendIntegration = useCloudDefendIntegration;