"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.controlsStorageServiceFactory = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _public = require("@kbn/kibana-utils-plugin/public");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const STORAGE_KEY = 'controls:showInvalidSelectionWarning';
class StorageService {
  constructor() {
    (0, _defineProperty2.default)(this, "storage", void 0);
    (0, _defineProperty2.default)(this, "getShowInvalidSelectionWarning", () => {
      return this.storage.get(STORAGE_KEY);
    });
    (0, _defineProperty2.default)(this, "setShowInvalidSelectionWarning", value => {
      this.storage.set(STORAGE_KEY, value);
    });
    this.storage = new _public.Storage(localStorage);
  }
}
const controlsStorageServiceFactory = () => new StorageService();
exports.controlsStorageServiceFactory = controlsStorageServiceFactory;