"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SerializerHelper = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _lodash = require("lodash");
var _coreSavedObjectsUtilsServer = require("@kbn/core-saved-objects-utils-server");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

class SerializerHelper {
  constructor({
    registry,
    serializer
  }) {
    (0, _defineProperty2.default)(this, "registry", void 0);
    (0, _defineProperty2.default)(this, "serializer", void 0);
    this.registry = registry;
    this.serializer = serializer;
  }
  rawToSavedObject(raw, options) {
    const savedObject = this.serializer.rawToSavedObject(raw, options);
    const {
      namespace,
      type
    } = savedObject;
    if (this.registry.isSingleNamespace(type)) {
      savedObject.namespaces = [_coreSavedObjectsUtilsServer.SavedObjectsUtils.namespaceIdToString(namespace)];
    }
    return (0, _lodash.omit)(savedObject, ['namespace']);
  }
}
exports.SerializerHelper = SerializerHelper;