"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createDelayFn = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

/**
 * HOC wrapping the function with a delay.
 */
const createDelayFn = state => fn => {
  return () => {
    return state.retryDelay > 0 ? new Promise(resolve => setTimeout(resolve, state.retryDelay)).then(fn) : fn();
  };
};
exports.createDelayFn = createDelayFn;