"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.runZeroDowntimeMigration = void 0;
var _utils = require("./utils");
var _migrate_index = require("./migrate_index");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const runZeroDowntimeMigration = async options => {
  const migratorConfigs = (0, _utils.buildMigratorConfigs)({
    kibanaIndexPrefix: options.kibanaIndexPrefix,
    typeRegistry: options.typeRegistry
  });
  return await Promise.all(migratorConfigs.map(migratorConfig => {
    return (0, _migrate_index.migrateIndex)({
      ...options,
      ...migratorConfig
    });
  }));
};
exports.runZeroDowntimeMigration = runZeroDowntimeMigration;