"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createDocumentTransformFn = void 0;
var _migrate_raw_docs = require("../../core/migrate_raw_docs");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const createDocumentTransformFn = ({
  documentMigrator,
  serializer
}) => {
  return documents => (0, _migrate_raw_docs.migrateRawDocsSafely)({
    rawDocs: documents,
    migrateDoc: documentMigrator.migrateAndConvert,
    serializer
  });
};
exports.createDocumentTransformFn = createDocumentTransformFn;