"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FollowerIndexActionsProvider = void 0;
var _react = _interopRequireDefault(require("react"));
var _follower_index_pause_provider = require("./follower_index_pause_provider");
var _follower_index_resume_provider = require("./follower_index_resume_provider");
var _follower_index_unfollow_provider = require("./follower_index_unfollow_provider");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const FollowerIndexActionsProvider = props => {
  return /*#__PURE__*/_react.default.createElement(_follower_index_pause_provider.FollowerIndexPauseProvider, null, pauseFollowerIndex => /*#__PURE__*/_react.default.createElement(_follower_index_resume_provider.FollowerIndexResumeProvider, null, resumeFollowerIndex => /*#__PURE__*/_react.default.createElement(_follower_index_unfollow_provider.FollowerIndexUnfollowProvider, null, unfollowLeaderIndex => {
    const {
      children
    } = props;
    return children(() => ({
      pauseFollowerIndex,
      resumeFollowerIndex,
      unfollowLeaderIndex
    }));
  })));
};
exports.FollowerIndexActionsProvider = FollowerIndexActionsProvider;