"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MenuItem = void 0;
var _eui = require("@elastic/eui");
var _presentationPublishing = require("@kbn/presentation-publishing");
var _react = _interopRequireWildcard(require("react"));
var _i18n = require("./i18n");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const MenuItem = ({
  context: {
    embeddable
  }
}) => {
  const dynamicActionsState = (0, _presentationPublishing.useStateFromPublishingSubject)(embeddable.dynamicActionsState$);
  const count = (0, _react.useMemo)(() => {
    var _dynamicActionsState$, _dynamicActionsState$2;
    return ((_dynamicActionsState$ = dynamicActionsState === null || dynamicActionsState === void 0 ? void 0 : (_dynamicActionsState$2 = dynamicActionsState.dynamicActions) === null || _dynamicActionsState$2 === void 0 ? void 0 : _dynamicActionsState$2.events) !== null && _dynamicActionsState$ !== void 0 ? _dynamicActionsState$ : []).length;
  }, [dynamicActionsState]);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    alignItems: 'center'
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: true
  }, _i18n.txtDisplayName), count > 0 && /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiNotificationBadge, null, count)));
};
exports.MenuItem = MenuItem;