"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.settingsServiceFactory = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const settingsServiceFactory = ({
  coreStart,
  startPlugins
}) => {
  const {
    i18n,
    uiSettings,
    theme
  } = coreStart;
  const {
    presentationUtil: {
      labsService: {
        isProjectEnabled
      }
    }
  } = startPlugins;
  return {
    i18n,
    uiSettings,
    theme,
    isProjectEnabledInLabs: isProjectEnabled
  };
};
exports.settingsServiceFactory = settingsServiceFactory;