"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCrawlerDomain = exports.GetCrawlerDomainApiLogic = void 0;
var _create_api_logic = require("../../../shared/api_logic/create_api_logic");
var _http = require("../../../shared/http");
var _utils = require("./utils");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getCrawlerDomain = async ({
  indexName,
  domainId
}) => {
  const response = await _http.HttpLogic.values.http.get(`/internal/enterprise_search/indices/${indexName}/crawler/domains/${domainId}`);
  return (0, _utils.crawlerDomainServerToClient)(response);
};
exports.getCrawlerDomain = getCrawlerDomain;
const GetCrawlerDomainApiLogic = exports.GetCrawlerDomainApiLogic = (0, _create_api_logic.createApiLogic)(['get_crawler_domain'], getCrawlerDomain);