"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.startModel = exports.StartModelApiLogic = void 0;
var _create_api_logic = require("../../../shared/api_logic/create_api_logic");
var _http = require("../../../shared/http");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const startModel = async ({
  modelId
}) => {
  const route = `/internal/enterprise_search/ml/models/${modelId}/deploy`;
  return await _http.HttpLogic.values.http.post(route);
};
exports.startModel = startModel;
const StartModelApiLogic = exports.StartModelApiLogic = (0, _create_api_logic.createApiLogic)(['start_model_api_logic'], startModel, {
  showErrorFlash: false
});