"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AdvancedConfigOverrideCallout = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _i18nReact = require("@kbn/i18n-react");
var _doc_links = require("../../../../shared/doc_links");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const AdvancedConfigOverrideCallout = () => /*#__PURE__*/_react.default.createElement(_eui.EuiCallOut, {
  title: _i18n.i18n.translate('xpack.enterpriseSearch.content.connector_detail.configurationConnector.connectorPackage.advancedRulesCallout', {
    defaultMessage: 'Configuration warning'
  }),
  iconType: "iInCircle",
  color: "warning"
}, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
  id: "xpack.enterpriseSearch.content.connector_detail.configurationConnector.connectorPackage.advancedRulesCallout.description",
  defaultMessage: "{advancedSyncRulesDocs} can override some configuration fields.",
  values: {
    advancedSyncRulesDocs: /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
      "data-test-subj": "entSearchContent-connector-configuration-advancedSyncRulesDocsLink",
      "data-telemetry-id": "entSearchContent-connector-configuration-advancedSyncRulesDocsLink",
      href: _doc_links.docLinks.syncRules,
      target: "_blank"
    }, _i18n.i18n.translate('xpack.enterpriseSearch.content.connector_detail.configurationConnector.connectorPackage.advancedSyncRulesDocs', {
      defaultMessage: 'Advanced Sync Rules'
    }))
  }
}));
exports.AdvancedConfigOverrideCallout = AdvancedConfigOverrideCallout;