"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UrlComboBoxLogic = void 0;
var _kea = require("kea");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const UrlComboBoxLogic = exports.UrlComboBoxLogic = (0, _kea.kea)({
  key: props => props.id,
  path: key => ['enterprise_search', 'url_combo_box', key],
  actions: () => ({
    setIsInvalid: isInvalid => ({
      isInvalid
    })
  }),
  reducers: () => ({
    isInvalid: [false, {
      // @ts-expect-error upgrade typescript v5.1.6
      setIsInvalid: (_, {
        isInvalid
      }) => isInvalid
    }]
  })
});