"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LicenseCallout = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _doc_links = require("../../../../shared/doc_links");
var _constants = require("../../../constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const LicenseCallout = ({
  message
}) => {
  const title = /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, message, ' ', /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
    target: "_blank",
    external: true,
    href: _doc_links.docLinks.licenseManagement
  }, /*#__PURE__*/_react.default.createElement("strong", null, _constants.EXPLORE_PLATINUM_FEATURES_LINK)));
  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    responsive: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("strong", null, "\u2191"))), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "xs"
  }, title))));
};
exports.LicenseCallout = LicenseCallout;