"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.extractFieldValue = extractFieldValue;
exports.isStringOrNonEmptyArray = isStringOrNonEmptyArray;
exports.isValidRange = void 0;
exports.toArray = toArray;
var _moment = _interopRequireDefault(require("moment"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function toArray(maybeArray) {
  if (!maybeArray) {
    return [];
  }
  if (Array.isArray(maybeArray)) {
    return maybeArray;
  }
  return [maybeArray];
}
const isValidRange = (from, to) => {
  if ((0, _moment.default)(from).isAfter(to)) {
    return false;
  }
  return true;
};
exports.isValidRange = isValidRange;
function isStringOrNonEmptyArray(value) {
  if (typeof value === 'undefined') {
    return false;
  }
  if (Array.isArray(value) && value.length === 0) {
    return false;
  }
  return true;
}
function extractFieldValue(maybeArray) {
  return toArray(maybeArray)[0];
}