"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "AuthorizationContext", {
  enumerable: true,
  get: function () {
    return _authorization.AuthorizationContext;
  }
});
Object.defineProperty(exports, "AuthorizationProvider", {
  enumerable: true,
  get: function () {
    return _authorization.AuthorizationProvider;
  }
});
Object.defineProperty(exports, "CronEditor", {
  enumerable: true,
  get: function () {
    return _cron_editor.CronEditor;
  }
});
exports.GlobalFlyout = exports.Forms = void 0;
Object.defineProperty(exports, "JsonEditor", {
  enumerable: true,
  get: function () {
    return _json_editor.JsonEditor;
  }
});
Object.defineProperty(exports, "NotAuthorizedSection", {
  enumerable: true,
  get: function () {
    return _authorization.NotAuthorizedSection;
  }
});
Object.defineProperty(exports, "PageError", {
  enumerable: true,
  get: function () {
    return _authorization.PageError;
  }
});
Object.defineProperty(exports, "PageLoading", {
  enumerable: true,
  get: function () {
    return _page_loading.PageLoading;
  }
});
Object.defineProperty(exports, "SectionError", {
  enumerable: true,
  get: function () {
    return _authorization.SectionError;
  }
});
Object.defineProperty(exports, "SectionLoading", {
  enumerable: true,
  get: function () {
    return _section_loading.SectionLoading;
  }
});
Object.defineProperty(exports, "ViewApiRequestFlyout", {
  enumerable: true,
  get: function () {
    return _view_api_request_flyout.ViewApiRequestFlyout;
  }
});
Object.defineProperty(exports, "WithPrivileges", {
  enumerable: true,
  get: function () {
    return _authorization.WithPrivileges;
  }
});
exports.ace = exports.XJson = void 0;
Object.defineProperty(exports, "attemptToURIDecode", {
  enumerable: true,
  get: function () {
    return _url.attemptToURIDecode;
  }
});
Object.defineProperty(exports, "extractQueryParams", {
  enumerable: true,
  get: function () {
    return _url.extractQueryParams;
  }
});
Object.defineProperty(exports, "indices", {
  enumerable: true,
  get: function () {
    return _indices.indices;
  }
});
exports.plugin = plugin;
Object.defineProperty(exports, "sendRequest", {
  enumerable: true,
  get: function () {
    return _request.sendRequest;
  }
});
Object.defineProperty(exports, "useAuthorizationContext", {
  enumerable: true,
  get: function () {
    return _authorization.useAuthorizationContext;
  }
});
Object.defineProperty(exports, "useRequest", {
  enumerable: true,
  get: function () {
    return _request.useRequest;
  }
});
var Forms = _interopRequireWildcard(require("./forms"));
exports.Forms = Forms;
var ace = _interopRequireWildcard(require("./ace"));
exports.ace = ace;
var GlobalFlyout = _interopRequireWildcard(require("./global_flyout"));
exports.GlobalFlyout = GlobalFlyout;
var XJson = _interopRequireWildcard(require("./xjson"));
exports.XJson = XJson;
var _json_editor = require("./components/json_editor");
var _page_loading = require("./components/page_loading");
var _section_loading = require("./components/section_loading");
var _cron_editor = require("./components/cron_editor");
var _view_api_request_flyout = require("./components/view_api_request_flyout");
var _request = require("./request");
var _indices = require("./indices");
var _authorization = require("./authorization");
var _url = require("./url");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

/**
 * Create a namespace for Forms
 * In the future, each top level folder should be exported like that to avoid naming collision
 */

/** dummy plugin, we just want esUiShared to have its own bundle */
function plugin() {
  return new class EsUiSharedPlugin {
    setup() {}
    start() {}
  }();
}