"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FilterLabel = FilterLabel;
var _react = _interopRequireDefault(require("react"));
var _use_series_filters = require("../hooks/use_series_filters");
var _filter_value_label = require("../../filter_value_label/filter_value_label");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function FilterLabel({
  label,
  seriesId,
  series,
  field,
  value,
  negate,
  dataView,
  removeFilter,
  definitionFilter
}) {
  const {
    invertFilter
  } = (0, _use_series_filters.useSeriesFilters)({
    seriesId,
    series
  });
  return dataView ? /*#__PURE__*/_react.default.createElement(_filter_value_label.FilterValueLabel, {
    dataView: dataView,
    removeFilter: removeFilter,
    invertFilter: val => {
      if (!definitionFilter) invertFilter(val);
    },
    field: field,
    value: value,
    negate: negate,
    label: label
  }) : null;
}