"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AgentDetailsIntegrations = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _agent_details_integration = require("./agent_details_integration");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const AgentDetailsIntegrations = exports.AgentDetailsIntegrations = /*#__PURE__*/(0, _react.memo)(({
  agent,
  agentPolicy
}) => {
  if (!agentPolicy || !agentPolicy.package_policies) {
    return null;
  }
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    direction: "column",
    gutterSize: "m"
  }, agentPolicy.package_policies.map((packagePolicy, index) => {
    var _packagePolicy$packag, _packagePolicy$packag2;
    const testSubj = ((_packagePolicy$packag = (_packagePolicy$packag2 = packagePolicy.package) === null || _packagePolicy$packag2 === void 0 ? void 0 : _packagePolicy$packag2.name) !== null && _packagePolicy$packag !== void 0 ? _packagePolicy$packag : 'packagePolicy') + '-' + index;
    return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
      grow: false,
      key: packagePolicy.id,
      "data-test-subj": testSubj
    }, /*#__PURE__*/_react.default.createElement(_agent_details_integration.AgentDetailsIntegration, {
      agent: agent,
      agentPolicy: agentPolicy,
      packagePolicy: packagePolicy,
      "data-test-subj": `${testSubj}-accordion`
    }));
  }));
});