"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EmptyPolicyNameHint = exports.EMPTY_POLICY_NAME_HINT = void 0;
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _react = _interopRequireDefault(require("react"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const EMPTY_POLICY_NAME_HINT = exports.EMPTY_POLICY_NAME_HINT = _i18n.i18n.translate('xpack.fleet.uninstallTokenList.emptyPolicyNameHint', {
  defaultMessage: "This token's related Agent policy has already been deleted, so the policy name is unavailable."
});
const EmptyPolicyNameHint = () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, '- ', /*#__PURE__*/_react.default.createElement(_eui.EuiToolTip, {
  content: EMPTY_POLICY_NAME_HINT
}, /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
  type: "questionInCircle",
  color: "subdued",
  "aria-label": EMPTY_POLICY_NAME_HINT,
  "data-test-subj": "emptyPolicyNameHint"
})));
exports.EmptyPolicyNameHint = EmptyPolicyNameHint;