"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  getAgentUploads: true,
  getAgentUploadFile: true,
  deleteAgentUploadFile: true,
  AgentServiceImpl: true,
  BulkActionsResolver: true,
  getAvailableVersions: true,
  getLatestAvailableAgentVersion: true
};
Object.defineProperty(exports, "AgentServiceImpl", {
  enumerable: true,
  get: function () {
    return _agent_service.AgentServiceImpl;
  }
});
Object.defineProperty(exports, "BulkActionsResolver", {
  enumerable: true,
  get: function () {
    return _bulk_actions_resolver.BulkActionsResolver;
  }
});
Object.defineProperty(exports, "deleteAgentUploadFile", {
  enumerable: true,
  get: function () {
    return _uploads.deleteAgentUploadFile;
  }
});
Object.defineProperty(exports, "getAgentUploadFile", {
  enumerable: true,
  get: function () {
    return _uploads.getAgentUploadFile;
  }
});
Object.defineProperty(exports, "getAgentUploads", {
  enumerable: true,
  get: function () {
    return _uploads.getAgentUploads;
  }
});
Object.defineProperty(exports, "getAvailableVersions", {
  enumerable: true,
  get: function () {
    return _versions.getAvailableVersions;
  }
});
Object.defineProperty(exports, "getLatestAvailableAgentVersion", {
  enumerable: true,
  get: function () {
    return _versions.getLatestAvailableAgentVersion;
  }
});
var _unenroll = require("./unenroll");
Object.keys(_unenroll).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _unenroll[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _unenroll[key];
    }
  });
});
var _upgrade = require("./upgrade");
Object.keys(_upgrade).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _upgrade[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _upgrade[key];
    }
  });
});
var _status = require("./status");
Object.keys(_status).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _status[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _status[key];
    }
  });
});
var _crud = require("./crud");
Object.keys(_crud).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _crud[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _crud[key];
    }
  });
});
var _update = require("./update");
Object.keys(_update).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _update[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _update[key];
    }
  });
});
var _actions = require("./actions");
Object.keys(_actions).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _actions[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _actions[key];
    }
  });
});
var _reassign = require("./reassign");
Object.keys(_reassign).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _reassign[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _reassign[key];
    }
  });
});
var _update_agent_tags = require("./update_agent_tags");
Object.keys(_update_agent_tags).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _update_agent_tags[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _update_agent_tags[key];
    }
  });
});
var _action_status = require("./action_status");
Object.keys(_action_status).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _action_status[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _action_status[key];
    }
  });
});
var _request_diagnostics = require("./request_diagnostics");
Object.keys(_request_diagnostics).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _request_diagnostics[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _request_diagnostics[key];
    }
  });
});
var _uploads = require("./uploads");
var _agent_service = require("./agent_service");
var _bulk_actions_resolver = require("./bulk_actions_resolver");
var _versions = require("./versions");