"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DefaultToDataTiersNotice = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _no_custom_attributes_messages = require("./no_custom_attributes_messages");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const i18nTexts = {
  body: {
    warm: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("p", null, _i18n.i18n.translate('xpack.indexLifecycleMgmt.warmPhase.dataTier.defaultAllocationNotAvailableDescription', {
      defaultMessage: 'Data will be allocated to the warm tier.'
    })), _no_custom_attributes_messages.nodeAllocationMigrationGuidance),
    cold: /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("p", null, _i18n.i18n.translate('xpack.indexLifecycleMgmt.coldPhase.dataTier.defaultAllocationNotAvailableDescription', {
      defaultMessage: 'Data will be allocated to the cold tier.'
    })), _no_custom_attributes_messages.nodeAllocationMigrationGuidance)
  }
};
const DefaultToDataTiersNotice = ({
  phase
}) => {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiCallOut, {
    "data-test-subj": "defaultToDataTiersNotice",
    style: {
      maxWidth: 400
    },
    title: _no_custom_attributes_messages.noCustomAttributesTitle,
    color: "primary"
  }, i18nTexts.body[phase]);
};
exports.DefaultToDataTiersNotice = DefaultToDataTiersNotice;