"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FielddataFrequencyFilterPercentage = void 0;
var _react = _interopRequireDefault(require("react"));
var _i18nReact = require("@kbn/i18n-react");
var _eui = require("@elastic/eui");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const FielddataFrequencyFilterPercentage = ({
  min,
  max
}) => {
  const onFrequencyFilterChange = ([minValue, maxValue]) => {
    min.setValue(minValue);
    max.setValue(maxValue);
  };
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFormRow, {
    fullWidth: true,
    label: /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      id: "xpack.idxMgmt.mappingsEditor.fielddata.frequencyFilterPercentageFieldLabel",
      defaultMessage: "Percentage-based frequency range"
    })
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiDualRange, {
    min: 0,
    max: 100,
    value: [min.value, max.value],
    onChange: onFrequencyFilterChange,
    showInput: "inputWithPopover"
    // @ts-ignore
    ,
    append: '%'
  }));
};
exports.FielddataFrequencyFilterPercentage = FielddataFrequencyFilterPercentage;