"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.forcemergeIndicesStart = exports.forcemergeIndices = void 0;
var _reduxActions = require("redux-actions");
var _i18n = require("@kbn/i18n");
var _services = require("../../services");
var _ = require(".");
var _notification = require("../../services/notification");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const forcemergeIndicesStart = exports.forcemergeIndicesStart = (0, _reduxActions.createAction)('INDEX_MANAGEMENT_FORCEMERGE_INDICES_START');
const forcemergeIndices = ({
  indexNames,
  maxNumSegments
}) => async dispatch => {
  dispatch(forcemergeIndicesStart({
    indexNames
  }));
  try {
    await (0, _services.forcemergeIndices)(indexNames, maxNumSegments);
  } catch (error) {
    _notification.notificationService.showDangerToast(error.body.message);
    return dispatch((0, _.clearRowStatus)({
      indexNames
    }));
  }
  dispatch((0, _.reloadIndices)(indexNames));
  _notification.notificationService.showSuccessToast(_i18n.i18n.translate('xpack.idxMgmt.forceMergeIndicesAction.successfullyForceMergedIndicesMessage', {
    defaultMessage: 'Successfully force merged {count, plural, one {# index} other {# indices} }',
    values: {
      count: indexNames.length
    }
  }));
};
exports.forcemergeIndices = forcemergeIndices;