"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PageContent = exports.FlexPage = exports.ColumnarPage = void 0;
var _eui = require("@elastic/eui");
var _common = require("@kbn/kibana-react-plugin/common");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ColumnarPage = exports.ColumnarPage = _common.euiStyled.div`
  display: flex;
  flex-direction: column;
  flex: 1 0 auto;
  width: 100%
`;
const PageContent = exports.PageContent = _common.euiStyled.div`
  flex: 1 0 0%;
  display: flex;
  flex-direction: row;
  background-color: ${props => props.theme.eui.euiColorEmptyShade};
`;
const FlexPage = exports.FlexPage = (0, _common.euiStyled)(_eui.EuiPage)`
  align-self: stretch;
  flex: 1 0 0%;
`;