"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LogEntryRatePage = void 0;
var _eui = require("@elastic/eui");
var _react = _interopRequireDefault(require("react"));
var _page_content = require("./page_content");
var _page_providers = require("./page_providers");
var _use_logs_breadcrumbs = require("../../../hooks/use_logs_breadcrumbs");
var _translations = require("../../../translations");
var _use_log_ml_job_id_formats_shim = require("../shared/use_log_ml_job_id_formats_shim");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const LogEntryRatePage = () => {
  (0, _use_logs_breadcrumbs.useLogsBreadcrumbs)([{
    text: _translations.anomaliesTitle
  }]);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiErrorBoundary, null, /*#__PURE__*/_react.default.createElement(_use_log_ml_job_id_formats_shim.LogMlJobIdFormatsShimProvider, null, /*#__PURE__*/_react.default.createElement(_page_providers.LogEntryRatePageProviders, null, /*#__PURE__*/_react.default.createElement(_page_content.LogEntryRatePageContent, null))));
};
exports.LogEntryRatePage = LogEntryRatePage;