"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sortNodes = void 0;
var _lodash = require("lodash");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const SORT_PATHS = {
  name: node => (0, _lodash.last)(node.path),
  value: node => {
    const metric = (0, _lodash.first)(node.metrics);
    return metric && metric.value || 0;
  }
};
const sortNodes = (sort, nodes) => {
  const sortPath = SORT_PATHS[sort.by];
  const sortedNodes = (0, _lodash.sortBy)(nodes, sortPath);
  if (sort.direction === 'desc') {
    return sortedNodes.reverse();
  }
  return sortedNodes;
};
exports.sortNodes = sortNodes;