"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.wrapStateContainer = void 0;
var _rxjs = require("rxjs");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const wrapStateContainer = ({
  wrapSet,
  wrapGet
}) => stateContainer => ({
  get: () => wrapGet(stateContainer.get()),
  set: value => stateContainer.set(wrapSet(value)(stateContainer.get())),
  state$: stateContainer.state$.pipe((0, _rxjs.map)(wrapGet))
});
exports.wrapStateContainer = wrapStateContainer;