"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InventoryViewsService = void 0;
var _inventory_views_client = require("./inventory_views_client");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

class InventoryViewsService {
  constructor(logger) {
    this.logger = logger;
  }
  setup() {}
  start({
    infraSources,
    savedObjects
  }) {
    const {
      logger
    } = this;
    return {
      getClient(savedObjectsClient) {
        return new _inventory_views_client.InventoryViewsClient(logger, savedObjectsClient, infraSources);
      },
      getScopedClient(request) {
        const savedObjectsClient = savedObjects.getScopedClient(request);
        return this.getClient(savedObjectsClient);
      }
    };
  }
}
exports.InventoryViewsService = InventoryViewsService;