"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextEditor = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _eui = require("@elastic/eui");
var _react = _interopRequireDefault(require("react"));
var _shared_imports = require("../../../../../../shared_imports");
require("./text_editor.scss");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const TextEditor = ({
  field,
  editorProps
}) => {
  const {
    value,
    helpText,
    setValue,
    label
  } = field;
  const {
    errorMessage
  } = (0, _shared_imports.getFieldValidityAndErrorMessage)(field);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFormRow, {
    label: label,
    helpText: helpText,
    isInvalid: typeof errorMessage === 'string',
    error: errorMessage,
    fullWidth: true
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiPanel, {
    className: "pipelineProcessorsEditor__form__textEditor__panel",
    paddingSize: "s",
    hasShadow: false
  }, /*#__PURE__*/_react.default.createElement(_shared_imports.CodeEditor, (0, _extends2.default)({
    value: value,
    onChange: setValue
  }, editorProps))));
};
exports.TextEditor = TextEditor;