"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  ToolbarPopover: true,
  LegendSettingsPopover: true,
  PalettePicker: true,
  ChangeIndexPattern: true,
  fieldContainsData: true,
  RangeInputField: true,
  AxisBoundsControl: true,
  validateAxisDomain: true,
  validateZeroInclusivityExtent: true,
  hasNumericHistogramDimension: true,
  getDataBounds: true,
  axisExtentConfigToExpression: true,
  ValueLabelsSettings: true,
  ToolbarTitleSettings: true,
  AxisTicksSettings: true,
  ExperimentalBadge: true
};
Object.defineProperty(exports, "AxisBoundsControl", {
  enumerable: true,
  get: function () {
    return _extent.AxisBoundsControl;
  }
});
Object.defineProperty(exports, "AxisTicksSettings", {
  enumerable: true,
  get: function () {
    return _axis_ticks_settings.AxisTicksSettings;
  }
});
Object.defineProperty(exports, "ChangeIndexPattern", {
  enumerable: true,
  get: function () {
    return _dataview_picker.ChangeIndexPattern;
  }
});
Object.defineProperty(exports, "ExperimentalBadge", {
  enumerable: true,
  get: function () {
    return _experimental_badge.ExperimentalBadge;
  }
});
Object.defineProperty(exports, "LegendSettingsPopover", {
  enumerable: true,
  get: function () {
    return _legend_settings_popover.LegendSettingsPopover;
  }
});
Object.defineProperty(exports, "PalettePicker", {
  enumerable: true,
  get: function () {
    return _palette_picker.PalettePicker;
  }
});
Object.defineProperty(exports, "RangeInputField", {
  enumerable: true,
  get: function () {
    return _range_input_field.RangeInputField;
  }
});
Object.defineProperty(exports, "ToolbarPopover", {
  enumerable: true,
  get: function () {
    return _toolbar_popover.ToolbarPopover;
  }
});
Object.defineProperty(exports, "ToolbarTitleSettings", {
  enumerable: true,
  get: function () {
    return _toolbar_title_settings.ToolbarTitleSettings;
  }
});
Object.defineProperty(exports, "ValueLabelsSettings", {
  enumerable: true,
  get: function () {
    return _value_labels_settings.ValueLabelsSettings;
  }
});
Object.defineProperty(exports, "axisExtentConfigToExpression", {
  enumerable: true,
  get: function () {
    return _extent.axisExtentConfigToExpression;
  }
});
Object.defineProperty(exports, "fieldContainsData", {
  enumerable: true,
  get: function () {
    return _dataview_picker.fieldContainsData;
  }
});
Object.defineProperty(exports, "getDataBounds", {
  enumerable: true,
  get: function () {
    return _extent.getDataBounds;
  }
});
Object.defineProperty(exports, "hasNumericHistogramDimension", {
  enumerable: true,
  get: function () {
    return _extent.hasNumericHistogramDimension;
  }
});
Object.defineProperty(exports, "validateAxisDomain", {
  enumerable: true,
  get: function () {
    return _extent.validateAxisDomain;
  }
});
Object.defineProperty(exports, "validateZeroInclusivityExtent", {
  enumerable: true,
  get: function () {
    return _extent.validateZeroInclusivityExtent;
  }
});
var _toolbar_popover = require("./toolbar_popover");
var _legend_settings_popover = require("./legend/legend_settings_popover");
var _palette_picker = require("./palette_picker");
var _dataview_picker = require("./dataview_picker");
var _range_input_field = require("./range_input_field");
var _extent = require("./axis/extent");
var _coloring = require("./coloring");
Object.keys(_coloring).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _coloring[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _coloring[key];
    }
  });
});
var _helpers = require("./helpers");
Object.keys(_helpers).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _helpers[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _helpers[key];
    }
  });
});
var _value_labels_settings = require("./value_labels_settings");
var _toolbar_title_settings = require("./axis/title/toolbar_title_settings");
var _axis_ticks_settings = require("./axis/ticks/axis_ticks_settings");
var _static_header = require("./static_header");
Object.keys(_static_header).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _static_header[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _static_header[key];
    }
  });
});
var _vis_label = require("./vis_label");
Object.keys(_vis_label).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _vis_label[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _vis_label[key];
    }
  });
});
var _experimental_badge = require("./experimental_badge");