"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LicenseDashboard = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _start_trial = require("./start_trial");
var _license_page_header = require("./license_page_header");
var _add_license = require("./add_license");
var _revert_to_basic = require("./revert_to_basic");
var _request_trial_extension = require("./request_trial_extension");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const LicenseDashboard = ({
  setBreadcrumb,
  telemetry
} = {
  setBreadcrumb: () => {}
}) => {
  (0, _react.useEffect)(() => {
    setBreadcrumb('dashboard');
  });
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_license_page_header.LicensePageHeader, null), /*#__PURE__*/_react.default.createElement(_eui.EuiPageSection, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    justifyContent: "spaceAround"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_add_license.AddLicense, null)), /*#__PURE__*/_react.default.createElement(_start_trial.StartTrial, {
    telemetry: telemetry
  }), /*#__PURE__*/_react.default.createElement(_request_trial_extension.RequestTrialExtension, null), /*#__PURE__*/_react.default.createElement(_revert_to_basic.RevertToBasic, null))));
};
exports.LicenseDashboard = LicenseDashboard;