"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RevertToBasic = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _i18nReact = require("@kbn/i18n-react");
var _constants = require("../../../../../common/constants");
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

class RevertToBasic extends _react.default.PureComponent {
  constructor(...args) {
    super(...args);
    (0, _defineProperty2.default)(this, "cancel", () => {
      this.props.uploadLicenseStatus({});
    });
  }
  acknowledgeModal() {
    const {
      needsAcknowledgement,
      messages: [firstLine, ...messages] = [],
      startBasicLicense,
      cancelStartBasicLicense,
      licenseType
    } = this.props;
    if (!needsAcknowledgement) {
      return null;
    }
    return /*#__PURE__*/_react.default.createElement(_eui.EuiConfirmModal, {
      title: _i18n.i18n.translate('xpack.licenseMgmt.licenseDashboard.revertToBasic.confirmModalTitle', {
        defaultMessage: 'Confirm Revert to Basic License'
      }),
      onCancel: cancelStartBasicLicense,
      onConfirm: () => startBasicLicense(licenseType, true),
      cancelButtonText: /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
        id: "xpack.licenseMgmt.licenseDashboard.revertToBasic.confirmModal.cancelButtonLabel",
        defaultMessage: "Cancel"
      }),
      confirmButtonText: /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
        id: "xpack.licenseMgmt.licenseDashboard.revertToBasic.confirmModal.confirmButtonLabel",
        defaultMessage: "Confirm"
      })
    }, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_eui.EuiText, null, firstLine), /*#__PURE__*/_react.default.createElement(_eui.EuiText, null, /*#__PURE__*/_react.default.createElement("ul", null, messages.map(message => /*#__PURE__*/_react.default.createElement("li", {
      key: message
    }, message))))));
  }
  render() {
    const {
      licenseType,
      shouldShowRevertToBasicLicense,
      startBasicLicense
    } = this.props;
    if (!shouldShowRevertToBasicLicense) {
      return null;
    }
    const description = /*#__PURE__*/_react.default.createElement("span", null, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      id: "xpack.licenseMgmt.licenseDashboard.revertToBasic.revertToFreeFeaturesDescription",
      defaultMessage: "You\u2019ll revert to our free features and lose access to machine learning, advanced security, and other {subscriptionFeaturesLinkText}.",
      values: {
        subscriptionFeaturesLinkText: /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
          href: _constants.EXTERNAL_LINKS.SUBSCRIPTIONS,
          target: "_blank"
        }, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
          id: "xpack.licenseMgmt.licenseDashboard.revertToBasic.subscriptionFeaturesLinkText",
          defaultMessage: "subscription features"
        }))
      }
    }));
    return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, this.acknowledgeModal(), /*#__PURE__*/_react.default.createElement(_eui.EuiCard, {
      hasBorder: true,
      title: /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
        id: "xpack.licenseMgmt.licenseDashboard.revertToBasic.acknowledgeModalTitle",
        defaultMessage: "Revert to Basic license"
      }),
      description: description,
      footer: /*#__PURE__*/_react.default.createElement(_eui.EuiButton, {
        "data-test-subj": "revertToBasicButton",
        onClick: () => startBasicLicense(licenseType)
      }, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
        id: "xpack.licenseMgmt.licenseDashboard.revertToBasic.acknowledgeModal.revertToBasicButtonLabel",
        defaultMessage: "Revert to Basic"
      }))
    }));
  }
}
exports.RevertToBasic = RevertToBasic;