"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.integrationRT = exports.datasetRT = void 0;
var _ioTsUtils = require("@kbn/io-ts-utils");
var rt = _interopRequireWildcard(require("io-ts"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const datasetRT = exports.datasetRT = rt.exact(rt.intersection([rt.type({
  name: _ioTsUtils.indexPatternRt
}), rt.partial({
  title: rt.string
})]));
const integrationStatusRT = rt.keyof({
  installed: null,
  installing: null,
  install_failed: null
});
const iconRT = rt.intersection([rt.type({
  src: rt.string
}), rt.partial({
  title: rt.string,
  size: rt.string,
  type: rt.string
})]);
const integrationRT = exports.integrationRT = rt.intersection([rt.type({
  name: rt.string,
  status: integrationStatusRT,
  version: rt.string,
  dataStreams: rt.array(datasetRT)
}), rt.partial({
  title: rt.union([rt.string, rt.undefined]),
  icons: rt.union([rt.array(iconRT), rt.undefined]),
  description: rt.union([rt.string, rt.undefined])
})]);