"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isDataFrameAnalyticsConfigs = isDataFrameAnalyticsConfigs;
var _mlIsPopulatedObject = require("@kbn/ml-is-populated-object");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * Interface for DFA API response for deletion status
 */

/**
 * Index name
 */

/**
 * Data frame analytics id
 */

/**
 * Interface for outlier analysis job configuation
 */

/**
 * Inner interface for regression job configuration options
 */

/**
 * Inner interface for classification job configuration options
 */

/**
 * Interface for regression analysis job configuation
 */

/**
 * Interface for classification job configuation
 */

/**
 * Alias of estypes.MlDataframeAnalysisContainer
 */

/**
 * Meta data for a DFA job
 */

/**
 * Interface for a DFA config with fix for estypes provided types
 */

/**
 * Interface for a requect object to update a DFA job
 */

/**
 * Type guard for a DFA config
 *
 * @param {unknown} arg The config to identify
 * @returns {arg is DataFrameAnalyticsConfig}
 */
function isDataFrameAnalyticsConfigs(arg) {
  return (0, _mlIsPopulatedObject.isPopulatedObject)(arg, ['dest', 'analysis', 'id']) && typeof arg.id === 'string';
}

/**
 * Union type of DFA anlaysis config types
 */

/**
 * Union type of DFA task states
 */

/**
 * Interface for DFA stats
 */

/**
 * Alias for estypes.MlExplainDataFrameAnalyticsResponse
 */

/**
 * Interface for predicted class
 */

/**
 * Interface for confusion matrix
 */

/**
 * Data item for ROC curve
 */

/**
 * Eval Class
 */

/**
 * Interface for classification evaluate response
 */

/**
 * Interface for evalute metrics
 */

/**
 * Interface for field selection item
 */

/**
 * Interface for a node element for the map view
 */

/**
 * Interface for an edge element for the map view
 */

/**
 * Union type of map node and edge elements
 */

/**
 * Interface for DFA map return type
 */

/**
 * Alias for estypes.MlDataframeAnalysisFeatureProcessor
 */

/**
 * Interface for a search response's track total hits option
 */