"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCanCreateDataView = void 0;
var _react = require("react");
var _kibana = require("../../../../contexts/kibana");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const useCanCreateDataView = () => {
  const {
    services: {
      application: {
        capabilities
      }
    }
  } = (0, _kibana.useMlKibana)();
  return (0, _react.useMemo)(() => capabilities.savedObjectsManagement.edit === true || capabilities.indexPatterns.save === true, [capabilities]);
};
exports.useCanCreateDataView = useCanCreateDataView;