"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ExplorerNoInfluencersFound = void 0;
var _react = _interopRequireDefault(require("react"));
var _i18nReact = require("@kbn/i18n-react");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * React component for rendering EuiEmptyPrompt when no influencers were found.
 */
const ExplorerNoInfluencersFound = ({
  viewBySwimlaneFieldName,
  showFilterMessage = false
}) => showFilterMessage === false ? /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
  id: "xpack.ml.explorer.noInfluencersFoundTitle",
  defaultMessage: "No {viewBySwimlaneFieldName} influencers found",
  values: {
    viewBySwimlaneFieldName
  }
}) : /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
  id: "xpack.ml.explorer.noInfluencersFoundTitleFilterMessage",
  defaultMessage: "No {viewBySwimlaneFieldName} influencers found for specified filter",
  values: {
    viewBySwimlaneFieldName
  }
});
exports.ExplorerNoInfluencersFound = ExplorerNoInfluencersFound;