"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RareView = exports.RARE_DETECTOR_TYPE = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _metric_selection = require("./metric_selection");
var _metric_selection_summary = require("./metric_selection_summary");
var _settings = require("./settings");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */
let RARE_DETECTOR_TYPE = exports.RARE_DETECTOR_TYPE = /*#__PURE__*/function (RARE_DETECTOR_TYPE) {
  RARE_DETECTOR_TYPE[RARE_DETECTOR_TYPE["RARE"] = 0] = "RARE";
  RARE_DETECTOR_TYPE[RARE_DETECTOR_TYPE["RARE_POPULATION"] = 1] = "RARE_POPULATION";
  RARE_DETECTOR_TYPE[RARE_DETECTOR_TYPE["FREQ_RARE_POPULATION"] = 2] = "FREQ_RARE_POPULATION";
  return RARE_DETECTOR_TYPE;
}({});
const RareView = ({
  isActive,
  setCanProceed
}) => {
  const [rareFieldValid, setRareFieldValid] = (0, _react.useState)(false);
  const [settingsValid, setSettingsValid] = (0, _react.useState)(false);
  const [rareDetectorType, setRareDetectorType] = (0, _react.useState)(RARE_DETECTOR_TYPE.RARE);
  (0, _react.useEffect)(() => {
    if (typeof setCanProceed === 'function') {
      setCanProceed(rareFieldValid && settingsValid);
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [rareFieldValid, settingsValid]);
  return isActive === false ? /*#__PURE__*/_react.default.createElement(_metric_selection_summary.RareDetectorsSummary, null) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_metric_selection.RareDetectors, {
    setIsValid: setRareFieldValid,
    rareDetectorType: rareDetectorType,
    setRareDetectorType: setRareDetectorType
  }), rareFieldValid && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiHorizontalRule, {
    margin: "l"
  }), /*#__PURE__*/_react.default.createElement(_settings.RareSettings, {
    setIsValid: setSettingsValid
  })));
};
exports.RareView = RareView;