"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  PainlessLang: true
};
exports.PainlessLang = void 0;
var _constants = require("./constants");
var _lexer_rules = require("./lexer_rules");
var _language = require("./language");
var _types = require("./types");
Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _types[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _types[key];
    }
  });
});
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const PainlessLang = exports.PainlessLang = {
  ID: _constants.ID,
  getSuggestionProvider: _language.getSuggestionProvider,
  lexerRules: _lexer_rules.lexerRules,
  languageConfiguration: _lexer_rules.languageConfiguration,
  getSyntaxErrors: _language.getSyntaxErrors,
  validation$: _language.validation$
};