"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createTopNav = createTopNav;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _i18nReact = require("@kbn/i18n-react");
var _top_nav_menu = require("./top_nav_menu");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

function createTopNav(unifiedSearch, extraConfig) {
  return props => {
    const relevantConfig = extraConfig.filter(dataItem => dataItem.appName === undefined || dataItem.appName === props.appName);
    const config = (props.config || []).concat(relevantConfig);
    return /*#__PURE__*/_react.default.createElement(_i18nReact.I18nProvider, null, /*#__PURE__*/_react.default.createElement(_top_nav_menu.TopNavMenu, (0, _extends2.default)({}, props, {
      unifiedSearch: unifiedSearch,
      config: config
    })));
  };
}