"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NoDataPagePlugin = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

class NoDataPagePlugin {
  constructor(initializerContext) {
    this.initializerContext = initializerContext;
  }
  setup(_core) {
    return {
      getAnalyticsNoDataPageFlavor: () => {
        return this.initializerContext.config.get().analyticsNoDataPageFlavor;
      }
    };
  }
  start(_core) {
    return {
      getAnalyticsNoDataPageFlavor: () => {
        return this.initializerContext.config.get().analyticsNoDataPageFlavor;
      }
    };
  }
}
exports.NoDataPagePlugin = NoDataPagePlugin;