"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StyledStat = StyledStat;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _eui = require("@elastic/eui");
var _react = _interopRequireDefault(require("react"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const Stat = (0, _styledComponents.default)(_eui.EuiStat)`
  .euiStat__title {
    color: ${props => props.color};
  }
`;
const EMPTY_VALUE = '--';
function StyledStat(props) {
  const {
    description = EMPTY_VALUE,
    title = EMPTY_VALUE,
    ...rest
  } = props;
  return /*#__PURE__*/_react.default.createElement(Stat, (0, _extends2.default)({
    description: description,
    title: title,
    titleSize: "s"
  }, rest));
}