"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.GlobalLogsTab = GlobalLogsTab;
var _react = _interopRequireDefault(require("react"));
var _paths = require("../../../common/locators/paths");
var _use_get_filtered_rule_types = require("../../hooks/use_get_filtered_rule_types");
var _kibana_react = require("../../utils/kibana_react");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function GlobalLogsTab() {
  const {
    triggersActionsUi: {
      getGlobalRuleEventLogList: GlobalRuleEventLogList
    }
  } = (0, _kibana_react.useKibana)().services;
  const filteredRuleTypes = (0, _use_get_filtered_rule_types.useGetFilteredRuleTypes)();
  return /*#__PURE__*/_react.default.createElement(GlobalRuleEventLogList, {
    filteredRuleTypes: filteredRuleTypes,
    localStorageKey: "observability:global-rule-event-log-list",
    getRuleDetailsRoute: _paths.relativePaths.observability.ruleDetails
  });
}

// eslint-disable-next-line import/no-default-export