"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.renderApp = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactDom = _interopRequireDefault(require("react-dom"));
var _sharedUxRouter = require("@kbn/shared-ux-router");
var _reactQuery = require("@tanstack/react-query");
var _reactQueryDevtools = require("@tanstack/react-query-devtools");
var _app = require("./components/app");
var _common = require("../common");
var _kibana = require("./common/lib/kibana");
var _query_client = require("./query_client");
var _shared_imports = require("./shared_imports");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const renderApp = (core, services, {
  element,
  history
}, storage, kibanaVersion) => {
  _reactDom.default.render( /*#__PURE__*/_react.default.createElement(_shared_imports.KibanaRenderContextProvider, core, /*#__PURE__*/_react.default.createElement(_kibana.KibanaContextProvider
  // eslint-disable-next-line react-perf/jsx-no-new-object-as-prop
  , {
    services: {
      appName: _common.PLUGIN_NAME,
      kibanaVersion,
      ...core,
      ...services,
      storage
    }
  }, /*#__PURE__*/_react.default.createElement(_sharedUxRouter.Router, {
    history: history
  }, /*#__PURE__*/_react.default.createElement(_reactQuery.QueryClientProvider, {
    client: _query_client.queryClient
  }, /*#__PURE__*/_react.default.createElement(_app.OsqueryApp, null), /*#__PURE__*/_react.default.createElement(_reactQueryDevtools.ReactQueryDevtools, {
    initialIsOpen: false
  }))))), element);
  return () => _reactDom.default.unmountComponentAtNode(element);
};
exports.renderApp = renderApp;