"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WithHeaderLayout = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _header = require("./header");
var _without_header = require("./without_header");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const WithHeaderLayout = ({
  restrictWidth,
  restrictHeaderWidth,
  children,
  headerChildren,
  'data-test-subj': dataTestSubj,
  ...rest
}) => /*#__PURE__*/_react.default.createElement(_react.Fragment, null, /*#__PURE__*/_react.default.createElement(_header.Header, (0, _extends2.default)({
  maxWidth: restrictHeaderWidth,
  "data-test-subj": dataTestSubj ? `${dataTestSubj}_header` : undefined
}, rest), headerChildren), /*#__PURE__*/_react.default.createElement(_eui.EuiPage, {
  css: _without_header.pageCss,
  restrictWidth: restrictWidth || 1200,
  "data-test-subj": dataTestSubj ? `${dataTestSubj}_page` : undefined
}, /*#__PURE__*/_react.default.createElement(_eui.EuiPageBody, null, /*#__PURE__*/_react.default.createElement("div", {
  css: _without_header.contentCss
}, /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
  size: "l"
}), children))));
exports.WithHeaderLayout = WithHeaderLayout;