"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RemoteClustersLocatorDefinition = exports.REMOTE_CLUSTERS_LOCATOR_ID = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const REMOTE_CLUSTERS_LOCATOR_ID = exports.REMOTE_CLUSTERS_LOCATOR_ID = 'REMOTE_CLUSTERS_LOCATOR';
class RemoteClustersLocatorDefinition {
  constructor(deps) {
    (0, _defineProperty2.default)(this, "id", REMOTE_CLUSTERS_LOCATOR_ID);
    (0, _defineProperty2.default)(this, "getLocation", async params => {
      const location = await this.deps.managementAppLocator.getLocation({
        sectionId: 'data',
        appId: 'remote_clusters'
      });
      switch (params.page) {
        case 'remoteClusters':
          {
            return {
              ...location,
              path: location.path
            };
          }
      }
    });
    this.deps = deps;
  }
}
exports.RemoteClustersLocatorDefinition = RemoteClustersLocatorDefinition;