"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CancelSyncJobModal = void 0;
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _i18nReact = require("@kbn/i18n-react");
var _react = _interopRequireDefault(require("react"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const CancelSyncJobModal = ({
  syncJobId,
  onCancel,
  onConfirmCb,
  isLoading
}) => {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiConfirmModal, {
    title: _i18n.i18n.translate('searchConnectors.syncJobs.cancelSyncModal.title', {
      defaultMessage: 'Cancel sync job'
    }),
    onCancel: onCancel,
    onConfirm: () => onConfirmCb(syncJobId),
    cancelButtonText: _i18n.i18n.translate('searchConnectors.syncJobs.cancelSyncModal.cancelButton', {
      defaultMessage: 'Cancel'
    }),
    confirmButtonText: _i18n.i18n.translate('searchConnectors.syncJobs.cancelSyncModal.confirmButton', {
      defaultMessage: 'Confirm'
    }),
    buttonColor: "danger",
    confirmButtonDisabled: isLoading,
    isLoading: isLoading
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "s"
  }, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "searchConnectors.syncJobs.cancelSyncModal.description",
    defaultMessage: "Are you sure you want to cancel this sync job?"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "m"
  }), /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "searchConnectors.syncJobs.cancelSyncModal.syncJobId",
    defaultMessage: "Sync job ID:"
  }), "\xA0", /*#__PURE__*/_react.default.createElement(_eui.EuiCode, null, syncJobId)));
};
exports.CancelSyncJobModal = CancelSyncJobModal;