"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useTrainedModelStats = void 0;
var _reactQuery = require("@tanstack/react-query");
var _use_kibana = require("./use_kibana");
var _constants = require("../../common/constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const useTrainedModelStats = () => {
  const {
    services
  } = (0, _use_kibana.useKibana)();
  return (0, _reactQuery.useQuery)({
    queryKey: [_constants.TRAINED_MODEL_STATS_QUERY_KEY],
    queryFn: async () => {
      var _services$ml, _services$ml$mlApi;
      const response = await ((_services$ml = services.ml) === null || _services$ml === void 0 ? void 0 : (_services$ml$mlApi = _services$ml.mlApi) === null || _services$ml$mlApi === void 0 ? void 0 : _services$ml$mlApi.trainedModels.getTrainedModelStats());
      return response || {
        count: 0,
        trained_model_stats: []
      };
    }
  });
};
exports.useTrainedModelStats = useTrainedModelStats;