"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.deleteInferenceEndpoint = void 0;
var _types = require("../../common/types");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function isTaskType(type) {
  return type ? Object.values(_types.TaskTypes).includes(type) : true;
}
const deleteInferenceEndpoint = async (client, type, id) => {
  if (isTaskType(type)) {
    return await client.inference.deleteModel({
      inference_id: id,
      task_type: type
    });
  }
};
exports.deleteInferenceEndpoint = deleteInferenceEndpoint;