"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getValueForSelectedField = void 0;
var _lodash = require("lodash");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getValueForSelectedField = (hit, path) => {
  var _hit$inner_hits;
  if (!hit) {
    return '';
  }

  // for semantic_text matches
  const innerHitPath = `${hit._index}.${path}`;
  if (!!((_hit$inner_hits = hit.inner_hits) !== null && _hit$inner_hits !== void 0 && _hit$inner_hits[innerHitPath])) {
    return hit.inner_hits[innerHitPath].hits.hits.map(innerHit => innerHit._source.text).join('\n --- \n');
  }
  return (0, _lodash.get)(hit._source, path, '');
};
exports.getValueForSelectedField = getValueForSelectedField;