"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  searchStrategyRequestSchema: true
};
exports.searchStrategyRequestSchema = void 0;
var _zod = require("zod");
var _cti = require("./cti/cti");
Object.keys(_cti).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _cti[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _cti[key];
    }
  });
});
var _first_seen_last_seen = require("./first_seen_last_seen/first_seen_last_seen");
Object.keys(_first_seen_last_seen).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _first_seen_last_seen[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _first_seen_last_seen[key];
    }
  });
});
var _hosts = require("./hosts/hosts");
Object.keys(_hosts).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _hosts[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _hosts[key];
    }
  });
});
var _details = require("./network/details");
var _dns = require("./network/dns");
var _http = require("./network/http");
var _overview = require("./network/overview");
var _tls = require("./network/tls");
var _top_countries = require("./network/top_countries");
var _top_n_flow = require("./network/top_n_flow");
var _users = require("./network/users");
var _related_entities = require("./related_entities/related_entities");
Object.keys(_related_entities).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _related_entities[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _related_entities[key];
    }
  });
});
var _risk_score = require("./risk_score/risk_score");
Object.keys(_risk_score).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _risk_score[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _risk_score[key];
    }
  });
});
var _users2 = require("./users/users");
Object.keys(_users2).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _users2[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _users2[key];
    }
  });
});
var _network = require("./network/network");
Object.keys(_network).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _network[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _network[key];
    }
  });
});
var _pagination = require("./model/pagination");
Object.keys(_pagination).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _pagination[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _pagination[key];
    }
  });
});
var _factory_query_type = require("./model/factory_query_type");
Object.keys(_factory_query_type).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _factory_query_type[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _factory_query_type[key];
    }
  });
});
var _runtime_mappings = require("./model/runtime_mappings");
Object.keys(_runtime_mappings).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _runtime_mappings[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _runtime_mappings[key];
    }
  });
});
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const searchStrategyRequestSchema = exports.searchStrategyRequestSchema = _zod.z.discriminatedUnion('factoryQueryType', [_first_seen_last_seen.firstLastSeenRequestOptionsSchema, _hosts.allHostsSchema, _hosts.hostDetailsSchema, _hosts.hostOverviewSchema, _hosts.hostUncommonProcessesSchema, _users2.usersSchema, _users2.observedUserDetailsSchema, _users2.managedUserDetailsSchema, _users2.userAuthenticationsSchema, _risk_score.hostsRiskScoreRequestOptionsSchema, _risk_score.usersRiskScoreRequestOptionsSchema, _risk_score.riskScoreKpiRequestOptionsSchema, _related_entities.relatedHostsRequestOptionsSchema, _related_entities.relatedUsersRequestOptionsSchema, _details.networkDetailsSchema, _dns.networkDnsSchema, _http.networkHttpSchema, _overview.networkOverviewSchema, _tls.networkTlsSchema, _top_countries.networkTopCountriesSchema, _top_n_flow.networkTopNFlowSchema, _top_n_flow.networkTopNFlowCountSchema, _users.networkUsersSchema, _cti.threatIntelSourceRequestOptionsSchema, _cti.eventEnrichmentRequestOptionsSchema]);