"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.managedUserDetailsSchema = void 0;
var _zod = require("zod");
var _factory_query_type = require("../model/factory_query_type");
var _request_basic_options = require("../model/request_basic_options");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const managedUserDetailsSchema = exports.managedUserDetailsSchema = _request_basic_options.requestBasicOptionsSchema.extend({
  userName: _zod.z.string(),
  userEmail: _zod.z.array(_zod.z.string()).optional(),
  factoryQueryType: _zod.z.literal(_factory_query_type.UsersQueries.managedDetails)
});