"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BASE_SECURITY_SYSTEM_PROMPTS = void 0;
var _bulk_crud_prompts_route = require("@kbn/elastic-assistant-common/impl/schemas/prompts/bulk_crud_prompts_route.gen");
var _common = require("../../../../../common");
var _translations = require("./translations");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * Base System Prompts for Security Solution.
 */
const BASE_SECURITY_SYSTEM_PROMPTS = exports.BASE_SECURITY_SYSTEM_PROMPTS = [{
  id: 'default-system-prompt',
  content: _translations.DEFAULT_SYSTEM_PROMPT_NON_I18N,
  name: _translations.DEFAULT_SYSTEM_PROMPT_NAME,
  promptType: _bulk_crud_prompts_route.PromptTypeEnum.system,
  isDefault: true,
  isNewConversationDefault: true,
  consumer: _common.APP_UI_ID
}, {
  id: 'CB9FA555-B59F-4F71-AFF9-8A891AC5BC28',
  content: _translations.SUPERHERO_SYSTEM_PROMPT_NON_I18N,
  name: _translations.SUPERHERO_SYSTEM_PROMPT_NAME,
  promptType: _bulk_crud_prompts_route.PromptTypeEnum.system,
  consumer: _common.APP_UI_ID,
  isDefault: true
}];