"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AlertSummaryView = void 0;
var _react = _interopRequireDefault(require("react"));
var _get_alert_summary_rows = require("./get_alert_summary_rows");
var _summary_view = require("./summary_view");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const AlertSummaryViewComponent = ({
  browserFields,
  data,
  eventId,
  isDraggable,
  scopeId,
  title,
  goToTable,
  isReadOnly,
  investigationFields
}) => {
  const summaryRows = (0, _get_alert_summary_rows.useSummaryRows)({
    browserFields,
    data,
    eventId,
    isDraggable,
    scopeId,
    isReadOnly,
    investigationFields
  });
  return /*#__PURE__*/_react.default.createElement(_summary_view.SummaryView, {
    goToTable: goToTable,
    isReadOnly: isReadOnly,
    rows: summaryRows,
    title: title
  });
};
const AlertSummaryView = exports.AlertSummaryView = /*#__PURE__*/_react.default.memo(AlertSummaryViewComponent);