"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createReactQueryWrapper = createReactQueryWrapper;
var _react = _interopRequireDefault(require("react"));
var _reactQuery = require("@tanstack/react-query");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function createReactQueryWrapper() {
  const queryClient = new _reactQuery.QueryClient({
    defaultOptions: {
      queries: {
        // Turn retries off, otherwise we won't be able to test errors
        retry: false
      }
    }
  });

  // eslint-disable-next-line react/display-name
  return ({
    children
  }) => /*#__PURE__*/_react.default.createElement(_reactQuery.QueryClientProvider, {
    client: queryClient
  }, children);
}