"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createMockStore = void 0;
var _utils = require("./utils");
var _store = require("../store");
var _global_state = require("./global_state");
var _mock_local_storage = require("./mock_local_storage");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const {
  storage: storageMock
} = (0, _mock_local_storage.createSecuritySolutionStorageMock)();
const kibanaMock = {};
const createMockStore = (state = _global_state.mockGlobalState, pluginsReducer = _utils.SUB_PLUGINS_REDUCER, kibana = kibanaMock, storage = storageMock, additionalMiddleware) => {
  return (0, _store.createStore)(state, pluginsReducer, kibana, storage, additionalMiddleware);
};
exports.createMockStore = createMockStore;