"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTrailingBreadcrumbs = void 0;
var _reactRouterDom = require("react-router-dom");
var _translations = require("./translations");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * This module should only export this function.
 * All the `getTrailingBreadcrumbs` functions in Security are loaded into the main bundle.
 * We should be careful to not import unnecessary modules in this file to avoid increasing the main app bundle size.
 */
const getTrailingBreadcrumbs = (params, getSecuritySolutionUrl) => {
  var _params$state;
  if ((0, _reactRouterDom.matchPath)(params.pathName, {
    path: '/create'
  })) {
    return [{
      text: _translations.CREATE_DASHBOARD_TITLE
    }];
  }
  const breadcrumbName = params === null || params === void 0 ? void 0 : (_params$state = params.state) === null || _params$state === void 0 ? void 0 : _params$state.dashboardName;
  if (breadcrumbName) {
    return [{
      text: breadcrumbName
    }];
  }
  return [];
};
exports.getTrailingBreadcrumbs = getTrailingBreadcrumbs;