"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SUBTECHNIQUES = exports.EXPAND_CELLS_FILTER_BUTTON = exports.ENABLE_ALL_DISABLED = exports.ENABLED_RULES_METADATA_LABEL = exports.ENABLED_RULES_LIST_LABEL = exports.DISABLED_RULES_METADATA_LABEL = exports.DISABLED_RULES_LIST_LABEL = exports.CoverageOverviewSearchBarPlaceholder = exports.CoverageOverviewRuleSourceFilterLabel = exports.CoverageOverviewRuleActivityFilterLabel = exports.CoverageOverviewLegendTitle = exports.CoverageOverviewLegendSubtitle = exports.CoverageOverviewLegendRulesLabel = exports.CoverageOverviewFilterPopoverTitle = exports.CoverageOverviewFilterPopoverClearAll = exports.CoverageOverviewEnabledRuleActivity = exports.CoverageOverviewElasticRuleSource = exports.CoverageOverviewDisabledRuleActivity = exports.CoverageOverviewDashboardInformation = exports.CoverageOverviewCustomRuleSource = exports.COVERED_MITRE_TECHNIQUES = exports.COVERED_MITRE_SUBTECHNIQUES = exports.COVERAGE_OVERVIEW_FETCH_ERROR_TITLE = exports.COVERAGE_OVERVIEW_DASHBOARD_TITLE = exports.COLLAPSE_CELLS_FILTER_BUTTON = void 0;
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const COVERAGE_OVERVIEW_DASHBOARD_TITLE = exports.COVERAGE_OVERVIEW_DASHBOARD_TITLE = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.pageTitle', {
  defaultMessage: 'MITRE ATT&CK\u00AE coverage'
});
const COLLAPSE_CELLS_FILTER_BUTTON = exports.COLLAPSE_CELLS_FILTER_BUTTON = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.collapseCellsButton', {
  defaultMessage: 'Collapse cells'
});
const EXPAND_CELLS_FILTER_BUTTON = exports.EXPAND_CELLS_FILTER_BUTTON = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.expandCellsButton', {
  defaultMessage: 'Expand cells'
});
const DISABLED_RULES_METADATA_LABEL = exports.DISABLED_RULES_METADATA_LABEL = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.disabledRulesMetadataLabel', {
  defaultMessage: 'Disabled Rules:'
});
const ENABLED_RULES_METADATA_LABEL = exports.ENABLED_RULES_METADATA_LABEL = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.enabledRulesMetadataLabel', {
  defaultMessage: 'Enabled Rules:'
});
const SUBTECHNIQUES = exports.SUBTECHNIQUES = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.subtechniques', {
  defaultMessage: 'Sub-techniques'
});
const ENABLE_ALL_DISABLED = exports.ENABLE_ALL_DISABLED = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.enableAllDisabledButtonLabel', {
  defaultMessage: 'Enable all disabled'
});
const COVERED_MITRE_TECHNIQUES = (enabledTechniques, totalTechniques) => _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.coveredMitreTechniques', {
  values: {
    enabledTechniques,
    totalTechniques
  },
  defaultMessage: '{enabledTechniques}/{totalTechniques} techniques'
});
exports.COVERED_MITRE_TECHNIQUES = COVERED_MITRE_TECHNIQUES;
const COVERED_MITRE_SUBTECHNIQUES = (enabledSubtechniques, totalSubtechniques) => _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.coveredMitreSubtechniques', {
  values: {
    enabledSubtechniques,
    totalSubtechniques
  },
  defaultMessage: 'Sub-techniques {enabledSubtechniques}/{totalSubtechniques}'
});
exports.COVERED_MITRE_SUBTECHNIQUES = COVERED_MITRE_SUBTECHNIQUES;
const DISABLED_RULES_LIST_LABEL = exports.DISABLED_RULES_LIST_LABEL = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.disabledRulesListLabel', {
  defaultMessage: 'Disabled rules'
});
const ENABLED_RULES_LIST_LABEL = exports.ENABLED_RULES_LIST_LABEL = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.enabledRulesListLabel', {
  defaultMessage: 'Enabled rules'
});
const CoverageOverviewLegendTitle = exports.CoverageOverviewLegendTitle = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.legendTitle', {
  defaultMessage: 'Legend'
});
const CoverageOverviewLegendSubtitle = exports.CoverageOverviewLegendSubtitle = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.legendSubtitle', {
  defaultMessage: '(count will include all rules selected)'
});
const CoverageOverviewLegendRulesLabel = exports.CoverageOverviewLegendRulesLabel = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.legendRulesLabel', {
  defaultMessage: 'rules'
});
const CoverageOverviewEnabledRuleActivity = exports.CoverageOverviewEnabledRuleActivity = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.enabledRuleActivity', {
  defaultMessage: 'Enabled rules'
});
const CoverageOverviewDisabledRuleActivity = exports.CoverageOverviewDisabledRuleActivity = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.disabledRuleActivity', {
  defaultMessage: 'Disabled rules'
});
const CoverageOverviewElasticRuleSource = exports.CoverageOverviewElasticRuleSource = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.elasticRuleSource', {
  defaultMessage: 'Elastic rules'
});
const CoverageOverviewCustomRuleSource = exports.CoverageOverviewCustomRuleSource = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.customRuleSource', {
  defaultMessage: 'Custom rules'
});
const CoverageOverviewRuleActivityFilterLabel = exports.CoverageOverviewRuleActivityFilterLabel = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.ruleActivityFilterLabel', {
  defaultMessage: 'Installed rule status'
});
const CoverageOverviewRuleSourceFilterLabel = exports.CoverageOverviewRuleSourceFilterLabel = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.ruleSourceFilterLabel', {
  defaultMessage: 'Installed rule type'
});
const CoverageOverviewSearchBarPlaceholder = exports.CoverageOverviewSearchBarPlaceholder = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.searchBarPlaceholder', {
  defaultMessage: 'Search for the tactic, technique (e.g.,"defense evasion" or "TA0005") or rule name'
});
const CoverageOverviewFilterPopoverTitle = exports.CoverageOverviewFilterPopoverTitle = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.filterPopoverTitle', {
  defaultMessage: 'Select to view on framework'
});
const CoverageOverviewFilterPopoverClearAll = exports.CoverageOverviewFilterPopoverClearAll = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.filterPopoverClearAll', {
  defaultMessage: 'Clear all'
});
const CoverageOverviewDashboardInformation = exports.CoverageOverviewDashboardInformation = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.dashboardInformation', {
  defaultMessage: "Your current coverage of MITRE ATT&CK\u00AE tactics and techniques, based on installed rules. Click a cell to view and enable a technique's rules. Rules must be mapped to the MITRE ATT&CK\u00AE framework to be displayed."
});
const COVERAGE_OVERVIEW_FETCH_ERROR_TITLE = exports.COVERAGE_OVERVIEW_FETCH_ERROR_TITLE = _i18n.i18n.translate('xpack.securitySolution.coverageOverviewDashboard.fetchErrorTitle', {
  defaultMessage: 'Failed to fetch coverage overview data'
});