"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LogLevelIndicator = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _utils = require("./utils");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const LogLevelIndicatorComponent = ({
  logLevel
}) => {
  const color = (0, _utils.getBadgeColor)(logLevel);
  const text = (0, _utils.getBadgeText)(logLevel);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiBadge, {
    color: color
  }, text);
};
const LogLevelIndicator = exports.LogLevelIndicator = /*#__PURE__*/_react.default.memo(LogLevelIndicatorComponent);
LogLevelIndicator.displayName = 'LogLevelIndicator';