"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LeftPanelTour = void 0;
var _react = _interopRequireWildcard(require("react"));
var _use_which_flyout = require("../../shared/hooks/use_which_flyout");
var _utils = require("../../shared/utils");
var _event_kinds = require("../../shared/constants/event_kinds");
var _context = require("../../shared/context");
var _flyout_tour = require("../../shared/components/flyout_tour");
var _tour_step_config = require("../../shared/utils/tour_step_config");
var _flyouts = require("../../shared/constants/flyouts");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/**
 * Guided tour for the left panel in details flyout
 */
const LeftPanelTour = exports.LeftPanelTour = /*#__PURE__*/(0, _react.memo)(() => {
  const {
    getFieldsData,
    isPreview
  } = (0, _context.useDocumentDetailsContext)();
  const eventKind = (0, _utils.getField)(getFieldsData('event.kind'));
  const isAlert = eventKind === _event_kinds.EventKind.signal;
  const isTimelineFlyoutOpen = (0, _use_which_flyout.useWhichFlyout)() === _flyouts.Flyouts.timeline;
  const showTour = isAlert && !isPreview && !isTimelineFlyoutOpen;
  const tourStepContent = (0, _react.useMemo)(() => (0, _tour_step_config.getLeftSectionTourSteps)(), []);
  return showTour ? /*#__PURE__*/_react.default.createElement(_flyout_tour.FlyoutTour, {
    tourStepContent: tourStepContent,
    totalSteps: 5
  }) : null;
});
LeftPanelTour.displayName = 'LeftPanelTour';