"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useRuleOverviewPanelContext = exports.RuleOverviewPanelProvider = exports.RuleOverviewPanelContext = void 0;
var _react = _interopRequireWildcard(require("react"));
var _flyout_error = require("../../shared/components/flyout_error");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const RuleOverviewPanelContext = exports.RuleOverviewPanelContext = /*#__PURE__*/(0, _react.createContext)(undefined);
const RuleOverviewPanelProvider = exports.RuleOverviewPanelProvider = /*#__PURE__*/(0, _react.memo)(({
  ruleId,
  children
}) => {
  const contextValue = (0, _react.useMemo)(() => ruleId ? {
    ruleId
  } : undefined, [ruleId]);
  if (!contextValue) {
    return /*#__PURE__*/_react.default.createElement(_flyout_error.FlyoutError, null);
  }
  return /*#__PURE__*/_react.default.createElement(RuleOverviewPanelContext.Provider, {
    value: contextValue
  }, children);
});
RuleOverviewPanelProvider.displayName = 'RuleOverviewPanelProvider';
const useRuleOverviewPanelContext = () => {
  const contextValue = (0, _react.useContext)(RuleOverviewPanelContext);
  if (!contextValue) {
    throw new Error('RuleOverviewPanelContext can only be used within RuleOverviewPanelContext provider');
  }
  return contextValue;
};
exports.useRuleOverviewPanelContext = useRuleOverviewPanelContext;