"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HostPreviewPanelFooter = void 0;
var _eui = require("@elastic/eui");
var _react = _interopRequireWildcard(require("react"));
var _i18n = require("@kbn/i18n");
var _expandableFlyout = require("@kbn/expandable-flyout");
var _flyout_footer = require("../../shared/components/flyout_footer");
var _host_right = require("../host_right");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const HostPreviewPanelFooter = ({
  contextID,
  scopeId,
  hostName,
  isDraggable
}) => {
  const {
    openFlyout
  } = (0, _expandableFlyout.useExpandableFlyoutApi)();
  const openHostFlyout = (0, _react.useCallback)(() => {
    openFlyout({
      right: {
        id: _host_right.HostPanelKey,
        params: {
          contextID,
          hostName,
          scopeId,
          isDraggable
        }
      }
    });
  }, [openFlyout, hostName, contextID, isDraggable, scopeId]);
  return /*#__PURE__*/_react.default.createElement(_flyout_footer.FlyoutFooter, {
    "data-test-subj": 'host-preview-footer'
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    justifyContent: "center"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiLink, {
    onClick: openHostFlyout,
    target: "_blank",
    "data-test-subj": 'open-host-flyout'
  }, _i18n.i18n.translate('xpack.securitySolution.flyout.host.preview.viewDetailsLabel', {
    defaultMessage: 'Show full host details'
  })))));
};
exports.HostPreviewPanelFooter = HostPreviewPanelFooter;