"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EventFiltersProcessDescendantIndicator = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _i18nReact = require("@kbn/i18n-react");
var _use_test_id_generator = require("../../../../hooks/use_test_id_generator");
var _use_experimental_features = require("../../../../../common/hooks/use_experimental_features");
var _utils = require("../../../../../../common/endpoint/service/artifacts/utils");
var _process_descendant_tooltip = require("../../../../pages/event_filters/view/components/process_descendant_tooltip");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const EventFiltersProcessDescendantIndicator = exports.EventFiltersProcessDescendantIndicator = /*#__PURE__*/(0, _react.memo)(({
  item,
  'data-test-subj': dataTestSubj,
  ...commonProps
}) => {
  const getTestId = (0, _use_test_id_generator.useTestIdGenerator)(dataTestSubj);
  const isProcessDescendantFeatureEnabled = (0, _use_experimental_features.useIsExperimentalFeatureEnabled)('filterProcessDescendantsForEventFiltersEnabled');
  if (isProcessDescendantFeatureEnabled && (0, _utils.isFilterProcessDescendantsEnabled)(item)) {
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiText, (0, _extends2.default)({}, commonProps, {
      "data-test-subj": getTestId('processDescendantIndication')
    }), /*#__PURE__*/_react.default.createElement("code", null, /*#__PURE__*/_react.default.createElement("strong", null, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      defaultMessage: "Filtering descendants of process",
      id: "xpack.securitySolution.eventFilters.filteringProcessDescendants"
    }), ' ', /*#__PURE__*/_react.default.createElement(_process_descendant_tooltip.ProcessDescendantsTooltip, {
      indicateExtraEntry: true,
      "data-test-subj": getTestId('processDescendantIndicationTooltip')
    })))), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
      size: "m"
    }));
  }
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null);
});
EventFiltersProcessDescendantIndicator.displayName = 'EventFiltersProcessDescendantIndicator';