"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BackToExternalAppButton = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireWildcard(require("react"));
var _i18nReact = require("@kbn/i18n-react");
var _eui = require("@elastic/eui");
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _use_navigate_to_app_event_handler = require("../../../common/hooks/endpoint/use_navigate_to_app_event_handler");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const EuiButtonEmptyStyled = (0, _styledComponents.default)(_eui.EuiButtonEmpty)`
  margin-bottom: ${({
  theme
}) => theme.eui.euiSizeS};

  .euiIcon {
    width: ${({
  theme
}) => theme.eui.euiSizeM};
    height: ${({
  theme
}) => theme.eui.euiSizeM};
  }

  .text {
    font-size: ${({
  theme
}) => theme.eui.euiFontSizeXS};
    margin-inline-start: ${({
  theme
}) => theme.eui.euiSizeXS};
  }
`;
const BackToExternalAppButton = exports.BackToExternalAppButton = /*#__PURE__*/(0, _react.memo)(({
  backButtonLabel,
  backButtonUrl,
  onBackButtonNavigateTo,
  ...commonProps
}) => {
  const handleBackOnClick = (0, _use_navigate_to_app_event_handler.useNavigateToAppEventHandler)(...onBackButtonNavigateTo);
  return /*#__PURE__*/_react.default.createElement(EuiButtonEmptyStyled, (0, _extends2.default)({
    "data-test-subj": "backToOrigin"
  }, commonProps, {
    flush: "left",
    size: "xs",
    iconType: "arrowLeft",
    href: backButtonUrl,
    onClick: handleBackOnClick,
    textProps: {
      className: 'text'
    }
  }), backButtonLabel || /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "xpack.securitySolution.list.backButton",
    defaultMessage: "Back"
  }));
});
BackToExternalAppButton.displayName = 'BackToExternalAppButton';