"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ProcessDescendantsTooltip = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _i18nReact = require("@kbn/i18n-react");
var _use_test_id_generator = require("../../../../hooks/use_test_id_generator");
var _constants = require("../../../../../../common/endpoint/service/artifacts/constants");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ProcessDescendantsTooltip = exports.ProcessDescendantsTooltip = /*#__PURE__*/(0, _react.memo)(({
  indicateExtraEntry = false,
  'data-test-subj': dataTestSubj,
  ...commonProps
}) => {
  const getTestId = (0, _use_test_id_generator.useTestIdGenerator)(dataTestSubj);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiToolTip, (0, _extends2.default)({}, commonProps, {
    content: /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
      size: "s"
    }, /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      id: "xpack.securitySolution.eventFilters.filterProcessDescendants.tooltip",
      defaultMessage: "Filtering the descendants of a process means that events from the matched process are ingested, but events from its descendant processes are omitted."
    })), indicateExtraEntry && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      id: "xpack.securitySolution.eventFilters.filterProcessDescendants.tooltipExtraEntry",
      defaultMessage: "Note: the following additional condition is applied:"
    })), /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement("code", null, _constants.PROCESS_DESCENDANT_EVENT_FILTER_EXTRA_ENTRY_TEXT))), /*#__PURE__*/_react.default.createElement("p", null, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      id: "xpack.securitySolution.eventFilters.filterProcessDescendants.tooltipVersionInfo",
      defaultMessage: "Process descendant filtering works only with Agents v8.15 and newer."
    }))),
    "data-test-subj": getTestId('tooltipText')
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiIcon, {
    type: "iInCircle",
    "data-test-subj": getTestId('tooltipIcon')
  }));
});
ProcessDescendantsTooltip.displayName = 'ProcessDescendantsTooltip';