"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VIEW_EVENT_IN_TIMELINE = exports.TIMELINE_ID_COLUMN = exports.TABLE_ERROR = exports.REFRESH = exports.OPEN_TIMELINE = exports.NOTE_CONTENT_COLUMN = exports.EVENT_ID_COLUMN = exports.DELETE_SINGLE_NOTE_DESCRIPTION = exports.DELETE_SELECTED = exports.DELETE_NOTES_MODAL_TITLE = exports.DELETE_NOTES_CONFIRM = exports.DELETE_NOTES_CANCEL = exports.DELETE = exports.CREATED_COLUMN = exports.CREATED_BY_COLUMN = exports.BATCH_ACTIONS = void 0;
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const BATCH_ACTIONS = exports.BATCH_ACTIONS = _i18n.i18n.translate('xpack.securitySolution.notes.management.batchActionsTitle', {
  defaultMessage: 'Bulk actions'
});
const CREATED_COLUMN = exports.CREATED_COLUMN = _i18n.i18n.translate('xpack.securitySolution.notes.management.createdColumnTitle', {
  defaultMessage: 'Created'
});
const CREATED_BY_COLUMN = exports.CREATED_BY_COLUMN = _i18n.i18n.translate('xpack.securitySolution.notes.management.createdByColumnTitle', {
  defaultMessage: 'Created by'
});
const EVENT_ID_COLUMN = exports.EVENT_ID_COLUMN = _i18n.i18n.translate('xpack.securitySolution.notes.management.eventIdColumnTitle', {
  defaultMessage: 'View Document'
});
const TIMELINE_ID_COLUMN = exports.TIMELINE_ID_COLUMN = _i18n.i18n.translate('xpack.securitySolution.notes.management.timelineColumnTitle', {
  defaultMessage: 'Timeline'
});
const NOTE_CONTENT_COLUMN = exports.NOTE_CONTENT_COLUMN = _i18n.i18n.translate('xpack.securitySolution.notes.management.noteContentColumnTitle', {
  defaultMessage: 'Note content'
});
const DELETE = exports.DELETE = _i18n.i18n.translate('xpack.securitySolution.notes.management.deleteAction', {
  defaultMessage: 'Delete'
});
const DELETE_SINGLE_NOTE_DESCRIPTION = exports.DELETE_SINGLE_NOTE_DESCRIPTION = _i18n.i18n.translate('xpack.securitySolution.notes.management.deleteDescription', {
  defaultMessage: 'Delete this note'
});
const TABLE_ERROR = exports.TABLE_ERROR = _i18n.i18n.translate('xpack.securitySolution.notes.management.tableError', {
  defaultMessage: 'Unable to load notes'
});
const DELETE_NOTES_MODAL_TITLE = exports.DELETE_NOTES_MODAL_TITLE = _i18n.i18n.translate('xpack.securitySolution.notes.management.deleteNotesModalTitle', {
  defaultMessage: 'Delete notes?'
});
const DELETE_NOTES_CONFIRM = selectedNotes => _i18n.i18n.translate('xpack.securitySolution.notes.management.deleteNotesConfirm', {
  values: {
    selectedNotes
  },
  defaultMessage: 'Are you sure you want to delete {selectedNotes} {selectedNotes, plural, one {note} other {notes}}?'
});
exports.DELETE_NOTES_CONFIRM = DELETE_NOTES_CONFIRM;
const DELETE_NOTES_CANCEL = exports.DELETE_NOTES_CANCEL = _i18n.i18n.translate('xpack.securitySolution.notes.management.deleteNotesCancel', {
  defaultMessage: 'Cancel'
});
const DELETE_SELECTED = exports.DELETE_SELECTED = _i18n.i18n.translate('xpack.securitySolution.notes.management.deleteSelected', {
  defaultMessage: 'Delete selected notes'
});
const REFRESH = exports.REFRESH = _i18n.i18n.translate('xpack.securitySolution.notes.management.refresh', {
  defaultMessage: 'Refresh'
});
const OPEN_TIMELINE = exports.OPEN_TIMELINE = _i18n.i18n.translate('xpack.securitySolution.notes.management.openTimeline', {
  defaultMessage: 'Open timeline'
});
const VIEW_EVENT_IN_TIMELINE = exports.VIEW_EVENT_IN_TIMELINE = _i18n.i18n.translate('xpack.securitySolution.notes.management.viewEventInTimeline', {
  defaultMessage: 'View event in timeline'
});