"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RiskScoreInfoTooltip = exports.RiskScoreDocTooltip = void 0;
var _eui = require("@elastic/eui");
var _react = _interopRequireWildcard(require("react"));
var i18n = _interopRequireWildcard(require("./translations"));
var _entity_analytics_doc_link = require("../../entity_analytics/components/risk_score_onboarding/entity_analytics_doc_link");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const RiskScoreInfoTooltip = ({
  toolTipContent,
  toolTipTitle,
  width = 270,
  anchorPosition = 'leftCenter'
}) => {
  const [isPopoverOpen, setIsPopoverOpen] = (0, _react.useState)(false);
  const onClick = (0, _react.useCallback)(() => {
    setIsPopoverOpen(!isPopoverOpen);
  }, [isPopoverOpen, setIsPopoverOpen]);
  const closePopover = (0, _react.useCallback)(() => {
    setIsPopoverOpen(false);
  }, [setIsPopoverOpen]);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiPopover, {
    isOpen: isPopoverOpen,
    closePopover: closePopover,
    anchorPosition: anchorPosition,
    button: /*#__PURE__*/_react.default.createElement(_eui.EuiButtonIcon, {
      color: "text",
      size: "xs",
      iconSize: "m",
      iconType: "iInCircle",
      "aria-label": i18n.INFORMATION_ARIA_LABEL,
      onClick: onClick
    })
  }, toolTipTitle && /*#__PURE__*/_react.default.createElement(_eui.EuiPopoverTitle, null, toolTipTitle), /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    size: "s",
    style: {
      width: `${width}px`
    }
  }, toolTipContent));
};
exports.RiskScoreInfoTooltip = RiskScoreInfoTooltip;
const RiskScoreDocTooltip = ({
  anchorPosition
}) => /*#__PURE__*/_react.default.createElement(RiskScoreInfoTooltip, {
  anchorPosition: anchorPosition,
  toolTipContent: /*#__PURE__*/_react.default.createElement(_entity_analytics_doc_link.EntityAnalyticsLearnMoreLink, null)
});
exports.RiskScoreDocTooltip = RiskScoreDocTooltip;