"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.reducer = exports.initialState = exports.initialDataView = void 0;
var _toolkit = require("@reduxjs/toolkit");
var _constants = require("../constants");
var _actions = require("./actions");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const initialDataView = exports.initialDataView = {
  id: _constants.DEFAULT_SECURITY_SOLUTION_DATA_VIEW_ID,
  title: '',
  fields: {}
};
const initialState = exports.initialState = {
  dataView: initialDataView,
  state: 'pristine',
  patternList: []
};
const reducer = exports.reducer = (0, _toolkit.createReducer)(initialState, builder => {
  builder.addCase(_actions.selectDataView, state => {
    state.state = 'loading';
  });
  builder.addCase(_actions.setDataViewData, (state, action) => {
    state.dataView = action.payload;
  });
  builder.addCase(_actions.setPatternList, (state, action) => {
    state.patternList = action.payload;
    state.state = 'ready';
  });
});