"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OpenTimelineModal = void 0;
var _eui = require("@elastic/eui");
var _react = _interopRequireDefault(require("react"));
var i18n = _interopRequireWildcard(require("../translations"));
var _ = require("..");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const DEFAULT_SEARCH_RESULTS_PER_PAGE = 10;
const OPEN_TIMELINE_MODAL_WIDTH = 1100; // px

const OpenTimelineModal = exports.OpenTimelineModal = /*#__PURE__*/_react.default.memo(({
  hideActions = [],
  modalTitle,
  onClose,
  onOpen
}) => /*#__PURE__*/_react.default.createElement(_eui.EuiModal, {
  "data-test-subj": "open-timeline-modal",
  maxWidth: OPEN_TIMELINE_MODAL_WIDTH,
  onClose: onClose
}, /*#__PURE__*/_react.default.createElement(_.StatefulOpenTimeline, {
  closeModalTimeline: onClose,
  hideActions: hideActions,
  isModal: true,
  defaultPageSize: DEFAULT_SEARCH_RESULTS_PER_PAGE,
  onOpenTimeline: onOpen,
  title: modalTitle !== null && modalTitle !== void 0 ? modalTitle : i18n.OPEN_TIMELINE_TITLE
})));
OpenTimelineModal.displayName = 'OpenTimelineModal';