"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFormattedFields = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _default_cell_renderer = require("../../cell_rendering/default_cell_renderer");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const getFormattedFields = ({
  dataTableRows,
  headers,
  scopeId
}) => {
  return headers.reduce((obj, header) => {
    obj[header.id] = function UnifiedFieldRender(props) {
      return /*#__PURE__*/_react.default.createElement(_default_cell_renderer.DefaultCellRenderer, (0, _extends2.default)({}, props, {
        isDraggable: false,
        isTimeline: true,
        isDetails: false,
        isExpanded: false,
        isExpandable: true,
        data: dataTableRows[props.rowIndex].data,
        eventId: dataTableRows[props.rowIndex]._id,
        scopeId: scopeId,
        linkValues: undefined,
        header: header
      }));
    };
    return obj;
  }, {});
};
exports.getFormattedFields = getFormattedFields;