"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RuleStatus = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _fp = require("lodash/fp");
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _draggables = require("../../../../../common/components/draggables");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const mapping = {
  open: 'primary',
  acknowledged: 'warning',
  closed: 'default'
};
const StyledEuiBadge = (0, _styledComponents.default)(_eui.EuiBadge)`
  text-transform: capitalize;
`;
const RuleStatusComponent = ({
  contextId,
  eventId,
  fieldName,
  fieldType,
  isAggregatable,
  isDraggable,
  value,
  onClick,
  onClickAriaLabel,
  iconSide,
  iconType
}) => {
  const color = (0, _react.useMemo)(() => (0, _fp.getOr)('default', `${value}`, mapping), [value]);
  const badge = /*#__PURE__*/_react.default.createElement(StyledEuiBadge, {
    color: color,
    onClick: onClick,
    onClickAriaLabel: onClickAriaLabel,
    iconType: iconType,
    iconSide: iconSide,
    "data-test-subj": "rule-status-badge"
  }, value);
  return isDraggable ? /*#__PURE__*/_react.default.createElement(_draggables.DefaultDraggable, {
    field: fieldName,
    id: `alert-details-value-default-draggable-${contextId}-${eventId}-${fieldName}-${value}`,
    fieldType: fieldType,
    isAggregatable: isAggregatable,
    isDraggable: false,
    value: `${value}`,
    tooltipContent: fieldName
  }, badge) : badge;
};
const RuleStatus = exports.RuleStatus = /*#__PURE__*/_react.default.memo(RuleStatusComponent);
RuleStatus.displayName = 'RuleStatus';