"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TimelineESQLGlobalStyles = exports.EmbeddedDiscoverContainer = void 0;
var _styled = _interopRequireDefault(require("@emotion/styled"));
var _styledComponents = require("styled-components");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const EmbeddedDiscoverContainer = exports.EmbeddedDiscoverContainer = _styled.default.div`
  width: 100%;
  height: 100%;
  overflow: scroll;
  display: grid,
  place-items: center
`;

// TODO remember to remove the className added to discover/public/components/discover_grid_flyout/discover_grid_flyout.tsx when removing this
const TimelineESQLGlobalStyles = exports.TimelineESQLGlobalStyles = (0, _styledComponents.createGlobalStyle)`
  body:has(.timeline-portal-overlay-mask) .DiscoverFlyout {
    z-index: 1002; // For its usage in the Security Solution timeline, we need Discover flyout to be above the timeline flyout (which has a z-index of 1001)
  }

  // TODO this should be removed when we change the ES|QL tab to be our own component instead of Discover (hopefully 8.15)
  .unifiedDataTable__fullScreen .dscPageBody * {
    z-index: unset !important;
  }
`;