"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createInternalSoClient = void 0;
var _coreSavedObjectsServer = require("@kbn/core-saved-objects-server");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const createInternalSoClient = savedObjectsServiceStart => {
  const fakeRequest = {
    headers: {},
    getBasePath: () => '',
    path: '/',
    route: {
      settings: {}
    },
    url: {
      href: {}
    },
    raw: {
      req: {
        url: '/'
      }
    }
  };
  return savedObjectsServiceStart.getScopedClient(fakeRequest, {
    excludedExtensions: [_coreSavedObjectsServer.SECURITY_EXTENSION_ID]
  });
};
exports.createInternalSoClient = createInternalSoClient;