"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.buildRuleNameFromMapping = void 0;
var t = _interopRequireWildcard(require("io-ts"));
var _fp = require("lodash/fp");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const buildRuleNameFromMapping = ({
  eventSource,
  ruleName,
  ruleNameMapping
}) => {
  if (ruleNameMapping != null) {
    // TODO: Expand by verifying fieldType from index via doc._index
    const mappedValue = (0, _fp.get)(ruleNameMapping, eventSource);
    if (t.string.is(mappedValue)) {
      return {
        ruleName: mappedValue,
        ruleNameMeta: {
          ruleNameOverridden: true
        }
      };
    }
  }
  return {
    ruleName,
    ruleNameMeta: {}
  };
};
exports.buildRuleNameFromMapping = buildRuleNameFromMapping;