"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.pinnedEventType = exports.pinnedEventSavedObjectType = exports.pinnedEventSavedObjectMappings = void 0;
var _coreSavedObjectsServer = require("@kbn/core-saved-objects-server");
var _pinned_events = require("./migrations/pinned_events");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const pinnedEventSavedObjectType = exports.pinnedEventSavedObjectType = 'siem-ui-timeline-pinned-event';
const pinnedEventSavedObjectMappings = exports.pinnedEventSavedObjectMappings = {
  properties: {
    eventId: {
      type: 'keyword'
    },
    created: {
      type: 'date'
    },
    createdBy: {
      type: 'text'
    },
    updated: {
      type: 'date'
    },
    updatedBy: {
      type: 'text'
    }
  }
};
const pinnedEventType = exports.pinnedEventType = {
  name: pinnedEventSavedObjectType,
  indexPattern: _coreSavedObjectsServer.SECURITY_SOLUTION_SAVED_OBJECT_INDEX,
  hidden: false,
  namespaceType: 'multiple-isolated',
  convertToMultiNamespaceTypeVersion: '8.0.0',
  mappings: pinnedEventSavedObjectMappings,
  migrations: _pinned_events.pinnedEventsMigrations
};