"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.commentsArrayOrUndefined = exports.commentsArray = exports.comment = void 0;
var t = _interopRequireWildcard(require("io-ts"));
var _securitysolutionIoTsTypes = require("@kbn/securitysolution-io-ts-types");
var _created_at = require("../created_at");
var _created_by = require("../created_by");
var _id = require("../id");
var _updated_at = require("../updated_at");
var _updated_by = require("../updated_by");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const comment = exports.comment = t.intersection([t.exact(t.type({
  comment: _securitysolutionIoTsTypes.NonEmptyString,
  created_at: _created_at.created_at,
  created_by: _created_by.created_by,
  id: _id.id
})), t.exact(t.partial({
  updated_at: _updated_at.updated_at,
  updated_by: _updated_by.updated_by
}))]);
const commentsArray = exports.commentsArray = t.array(comment);
const commentsArrayOrUndefined = exports.commentsArrayOrUndefined = t.union([commentsArray, t.undefined]);