"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CodeBlockAccordion = CodeBlockAccordion;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

function CodeBlockAccordion({
  id,
  label,
  json,
  extraAction,
  children
}) {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiAccordion, {
    id: id,
    extraAction: extraAction,
    buttonContent: /*#__PURE__*/_react.default.createElement(_eui.EuiTitle, {
      size: "xs"
    }, /*#__PURE__*/_react.default.createElement("h3", null, label))
  }, children !== null && children !== void 0 ? children : /*#__PURE__*/_react.default.createElement(_eui.EuiCodeBlock, {
    language: "json",
    fontSize: "m",
    paddingSize: "m",
    isCopyable: true
  }, JSON.stringify(json, null, 2)));
}