"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isSolutionNavEnabled = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const SOLUTION_NAV_FEATURE_FLAG_NAME = 'solutionNavEnabled';
const isSolutionNavEnabled = (cloud, cloudExperiments) => {
  return Boolean(cloud === null || cloud === void 0 ? void 0 : cloud.isCloudEnabled) && cloudExperiments ? cloudExperiments.getVariation(SOLUTION_NAV_FEATURE_FLAG_NAME, false) : Promise.resolve(false);
};
exports.isSolutionNavEnabled = isSolutionNavEnabled;