"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ExperimentalFeaturesService = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

class ExperimentalFeaturesService {
  static init({
    experimentalFeatures
  }) {
    this.experimentalFeatures = experimentalFeatures;
  }
  static get() {
    if (!this.experimentalFeatures) {
      this.throwUninitializedError();
    }
    return this.experimentalFeatures;
  }
  static throwUninitializedError() {
    throw new Error('Experimental features services not initialized - are you trying to import this module from outside of the stack connectors?');
  }
}
exports.ExperimentalFeaturesService = ExperimentalFeaturesService;
(0, _defineProperty2.default)(ExperimentalFeaturesService, "experimentalFeatures", void 0);