"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDashboard = getDashboard;
var _common = require("@kbn/actions-plugin/common");
var _constants = require("../../../../common/openai/constants");
var _rewrite_response_body = require("../rewrite_response_body");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

async function getDashboard({
  http,
  signal,
  dashboardId,
  connectorId
}) {
  const res = await http.post(`${_common.BASE_ACTION_API_PATH}/connector/${encodeURIComponent(connectorId)}/_execute`, {
    body: JSON.stringify({
      params: {
        subAction: _constants.SUB_ACTION.DASHBOARD,
        subActionParams: {
          dashboardId
        }
      }
    }),
    signal
  });
  return (0, _rewrite_response_body.rewriteResponseToCamelCase)(res);
}