"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ApplicationRequiredCallout = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _sn_store_button = require("./sn_store_button");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const content = _i18n.i18n.translate('xpack.stackConnectors.components.serviceNow.applicationRequiredCallout.content', {
  defaultMessage: 'Please go to the ServiceNow app store and install the application'
});
const ERROR_MESSAGE = _i18n.i18n.translate('xpack.stackConnectors.components.serviceNow.applicationRequiredCallout.errorMessage', {
  defaultMessage: 'Error message'
});
const ApplicationRequiredCalloutComponent = ({
  appId,
  message
}) => {
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "s"
  }), /*#__PURE__*/_react.default.createElement(_eui.EuiCallOut, {
    size: "m",
    iconType: "warning",
    "data-test-subj": "snApplicationCallout",
    color: "danger",
    title: _i18n.i18n.translate('xpack.stackConnectors.components.serviceNow.applicationRequiredCallout', {
      defaultMessage: 'Elastic ServiceNow App not installed'
    })
  }, /*#__PURE__*/_react.default.createElement("p", null, content), message && /*#__PURE__*/_react.default.createElement("p", null, ERROR_MESSAGE, ": ", message), /*#__PURE__*/_react.default.createElement(_sn_store_button.SNStoreButton, {
    color: "danger",
    appId: appId
  })), /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
    size: "m"
  }));
};
const ApplicationRequiredCallout = exports.ApplicationRequiredCallout = /*#__PURE__*/(0, _react.memo)(ApplicationRequiredCalloutComponent);