"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AddMonitorLink = void 0;
var _eui = require("@elastic/eui");
var _react = _interopRequireDefault(require("react"));
var _i18n = require("@kbn/i18n");
var _contexts = require("../../../contexts");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const AddMonitorLink = () => {
  const {
    basePath
  } = (0, _contexts.useSyntheticsSettingsContext)();
  return /*#__PURE__*/_react.default.createElement(_eui.EuiButtonEmpty, {
    "data-test-subj": "syntheticsAddMonitorLinkButton",
    href: `${basePath}/app/synthetics/add-monitor`
  }, CREATE_NEW_MONITOR);
};
exports.AddMonitorLink = AddMonitorLink;
const CREATE_NEW_MONITOR = _i18n.i18n.translate('xpack.synthetics.monitorSummary.createNewMonitor', {
  defaultMessage: 'Create monitor'
});