"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ResolvedAt = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
var _use_date_format = require("../../../../../hooks/use_date_format");
var _use_find_my_killer_state = require("../hooks/use_find_my_killer_state");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ResolvedAt = () => {
  var _killerState$timestam;
  const {
    killerState
  } = (0, _use_find_my_killer_state.useFindMyKillerState)();
  const formatter = (0, _use_date_format.useDateFormat)();
  let endsAt = formatter((_killerState$timestam = killerState === null || killerState === void 0 ? void 0 : killerState.timestamp) !== null && _killerState$timestam !== void 0 ? _killerState$timestam : '');
  if (!endsAt) {
    endsAt = 'N/A';
  }
  return /*#__PURE__*/_react.default.createElement(_eui.EuiDescriptionList, {
    listItems: [{
      title: ERROR_DURATION,
      description: endsAt
    }]
  });
};
exports.ResolvedAt = ResolvedAt;
const ERROR_DURATION = _i18n.i18n.translate('xpack.synthetics.errorDetails.resolvedAt', {
  defaultMessage: 'Resolved at'
});