"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StepTitle = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactRouterDom = require("react-router-dom");
var _eui = require("@elastic/eui");
var _use_journey_steps = require("../monitor_details/hooks/use_journey_steps");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const StepTitle = () => {
  var _currentStep$syntheti, _currentStep$syntheti2, _currentStep$syntheti3, _currentStep$syntheti4;
  const {
    checkGroupId,
    stepIndex
  } = (0, _reactRouterDom.useParams)();
  const {
    data
  } = (0, _use_journey_steps.useJourneySteps)(checkGroupId);
  const currentStep = data === null || data === void 0 ? void 0 : data.steps.find(step => {
    var _step$synthetics$step;
    return ((_step$synthetics$step = step.synthetics.step) === null || _step$synthetics$step === void 0 ? void 0 : _step$synthetics$step.index) === Number(stepIndex);
  });
  if (!currentStep) {
    return /*#__PURE__*/_react.default.createElement(_eui.EuiSkeletonRectangle, {
      height: "45px",
      width: "100%"
    });
  }
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, `${currentStep === null || currentStep === void 0 ? void 0 : (_currentStep$syntheti = currentStep.synthetics) === null || _currentStep$syntheti === void 0 ? void 0 : (_currentStep$syntheti2 = _currentStep$syntheti.step) === null || _currentStep$syntheti2 === void 0 ? void 0 : _currentStep$syntheti2.index}. ${currentStep === null || currentStep === void 0 ? void 0 : (_currentStep$syntheti3 = currentStep.synthetics) === null || _currentStep$syntheti3 === void 0 ? void 0 : (_currentStep$syntheti4 = _currentStep$syntheti3.step) === null || _currentStep$syntheti4 === void 0 ? void 0 : _currentStep$syntheti4.name}`);
};
exports.StepTitle = StepTitle;