"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GroupByListForm = void 0;
var _react = _interopRequireWildcard(require("react"));
var _eui = require("@elastic/eui");
var _group_by_label_form = require("./group_by_label_form");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const GroupByListForm = ({
  deleteHandler,
  list,
  onChange,
  options
}) => {
  const listKeys = Object.keys(list);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, listKeys.map((aggName, i) => {
    const otherAggNames = listKeys.filter(k => k !== aggName);
    return /*#__PURE__*/_react.default.createElement(_react.Fragment, {
      key: aggName
    }, /*#__PURE__*/_react.default.createElement(_eui.EuiPanel, {
      paddingSize: "s",
      "data-test-subj": `transformGroupByEntry ${i}`
    }, /*#__PURE__*/_react.default.createElement(_group_by_label_form.GroupByLabelForm, {
      deleteHandler: deleteHandler,
      item: list[aggName],
      otherAggNames: otherAggNames,
      onChange: item => onChange(aggName, item),
      options: options
    })), listKeys.length > 0 && /*#__PURE__*/_react.default.createElement(_eui.EuiSpacer, {
      size: "s"
    }));
  }));
};
exports.GroupByListForm = GroupByListForm;