"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EventLogPaginationStatus = void 0;
var _react = _interopRequireWildcard(require("react"));
var _i18nReact = require("@kbn/i18n-react");
var _eui = require("@elastic/eui");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const EventLogPaginationStatus = props => {
  const {
    pageIndex,
    pageSize,
    totalItemCount
  } = props;
  const paginationStatusRange = (0, _react.useMemo)(() => {
    if (totalItemCount === 0) {
      return /*#__PURE__*/_react.default.createElement("strong", null, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
        id: "xpack.triggersActionsUI.sections.eventLogPaginationStatus.paginationResultsRangeNoResult",
        defaultMessage: "0"
      }));
    }
    const end = Math.min(pageSize * (pageIndex + 1), totalItemCount);
    return /*#__PURE__*/_react.default.createElement("strong", null, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      id: "xpack.triggersActionsUI.sections.eventLogPaginationStatus.paginationResultsRange",
      defaultMessage: "{start, number} - {end, number}",
      values: {
        start: pageIndex * pageSize + 1,
        end
      }
    }));
  }, [pageSize, pageIndex, totalItemCount]);
  return /*#__PURE__*/_react.default.createElement(_eui.EuiText, {
    "data-test-subj": "eventLogPaginationStatus",
    size: "xs"
  }, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
    id: "xpack.triggersActionsUI.sections.eventLogPaginationStatus.paginationResults",
    defaultMessage: "Showing {range} of {total, number} {type}",
    values: {
      range: paginationStatusRange,
      total: totalItemCount,
      type: /*#__PURE__*/_react.default.createElement("strong", null, /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
        id: "xpack.triggersActionsUI.sections.eventLogPaginationStatus.paginationResultsType",
        defaultMessage: "log {total, plural, one {entry} other {entries}}",
        values: {
          total: totalItemCount
        }
      }))
    }
  }));
};
exports.EventLogPaginationStatus = EventLogPaginationStatus;