"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DeprecationsPageLoadingError = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const DeprecationsPageLoadingError = ({
  deprecationSource,
  message
}) => /*#__PURE__*/_react.default.createElement(_eui.EuiPageTemplate.EmptyPrompt, {
  color: "danger",
  iconType: "warning",
  "data-test-subj": "deprecationsPageLoadingError",
  title: /*#__PURE__*/_react.default.createElement("h2", null, _i18n.i18n.translate('xpack.upgradeAssistant.deprecationsPageLoadingError.title', {
    defaultMessage: 'Could not retrieve {deprecationSource} deprecation issues',
    values: {
      deprecationSource
    }
  })),
  body: message
});
exports.DeprecationsPageLoadingError = DeprecationsPageLoadingError;