"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MonitorLocationsType = exports.MonitorLocationType = void 0;
var t = _interopRequireWildcard(require("io-ts"));
var _common = require("../common");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

// IO type for validation
const MonitorLocationType = exports.MonitorLocationType = t.type({
  up_history: t.number,
  down_history: t.number,
  timestamp: t.string,
  summary: _common.SummaryType,
  geo: _common.CheckGeoType
});

// Typescript type for type checking

const MonitorLocationsType = exports.MonitorLocationsType = t.intersection([t.type({
  monitorId: t.string,
  up_history: t.number,
  down_history: t.number
}), t.partial({
  locations: t.array(MonitorLocationType)
})]);