"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VIEW_JOB = exports.TAKE_SOME_TIME_TEXT = exports.START_TRAIL_DESC = exports.START_TRAIL = exports.ML_MANAGEMENT_PAGE = exports.MANAGE_ANOMALY_DETECTION = exports.JOB_DELETION_SUCCESS = exports.JOB_DELETION_CONFIRMATION = exports.JOB_DELETION = exports.JOB_CREATION_FAILED_MESSAGE = exports.JOB_CREATION_FAILED = exports.JOB_CREATED_SUCCESS_TITLE = exports.JOB_CREATED_SUCCESS_MESSAGE = exports.JOB_CREATED_LAZY_SUCCESS_MESSAGE = exports.EXPLORE_IN_ML_APP = exports.ENABLE_MANAGE_JOB = exports.ENABLE_ANOMALY_NO_PERMISSIONS_TOOLTIP = exports.ENABLE_ANOMALY_DETECTION = exports.ENABLE_ANOMALY_ALERT = exports.DISABLE_ANOMALY_DETECTION = exports.DISABLE_ANOMALY_ALERT = exports.CREAT_ML_JOB_DESC = exports.CREATE_NEW_JOB = exports.CANCEL_LABEL = exports.ANOMALY_DETECTION = exports.ADD_JOB_PERMISSIONS_NEEDED = void 0;
var _i18n = require("@kbn/i18n");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const JOB_CREATED_SUCCESS_TITLE = exports.JOB_CREATED_SUCCESS_TITLE = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.jobCreatedNotificationTitle', {
  defaultMessage: 'Job successfully created'
});
const JOB_CREATED_SUCCESS_MESSAGE = exports.JOB_CREATED_SUCCESS_MESSAGE = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.jobCreatedNotificationText', {
  defaultMessage: 'The analysis is now running for response duration chart. It might take a while before results are added to the response times graph.'
});
const JOB_CREATED_LAZY_SUCCESS_MESSAGE = exports.JOB_CREATED_LAZY_SUCCESS_MESSAGE = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.jobCreatedLazyNotificationText', {
  defaultMessage: 'The analysis is waiting for an ML node to become available. It might take a while before results are added to the response times graph.'
});
const JOB_CREATION_FAILED = exports.JOB_CREATION_FAILED = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.jobCreationFailedNotificationTitle', {
  defaultMessage: 'Job creation failed'
});
const JOB_CREATION_FAILED_MESSAGE = exports.JOB_CREATION_FAILED_MESSAGE = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.jobCreationFailedNotificationText', {
  defaultMessage: 'Your current license may not allow for creating machine learning jobs, or this job may already exist.'
});
const JOB_DELETION = exports.JOB_DELETION = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.jobDeletionNotificationTitle', {
  defaultMessage: 'Job deleted'
});
const JOB_DELETION_SUCCESS = exports.JOB_DELETION_SUCCESS = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.jobDeletionSuccessNotificationText', {
  defaultMessage: 'Job is successfully deleted'
});
const JOB_DELETION_CONFIRMATION = exports.JOB_DELETION_CONFIRMATION = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.jobDeletionConfirmLabel', {
  defaultMessage: 'Delete anomaly detection job?'
});
const VIEW_JOB = exports.VIEW_JOB = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.jobCreatedNotificationText.viewJobLinkText', {
  defaultMessage: 'View job'
});
const EXPLORE_IN_ML_APP = exports.EXPLORE_IN_ML_APP = _i18n.i18n.translate('xpack.uptime.ml.durationChart.exploreInMlApp', {
  defaultMessage: 'Explore in ML App'
});
const ENABLE_ANOMALY_DETECTION = exports.ENABLE_ANOMALY_DETECTION = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.enableAnomalyDetectionTitle', {
  defaultMessage: 'Enable anomaly detection'
});
const ANOMALY_DETECTION = exports.ANOMALY_DETECTION = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.anomalyDetectionTitle', {
  defaultMessage: 'Anomaly detection'
});
const DISABLE_ANOMALY_DETECTION = exports.DISABLE_ANOMALY_DETECTION = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.disableAnomalyDetectionTitle', {
  defaultMessage: 'Disable anomaly detection'
});
const ENABLE_ANOMALY_ALERT = exports.ENABLE_ANOMALY_ALERT = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.enableAnomalyAlert', {
  defaultMessage: 'Enable anomaly alert'
});
const ENABLE_ANOMALY_NO_PERMISSIONS_TOOLTIP = exports.ENABLE_ANOMALY_NO_PERMISSIONS_TOOLTIP = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.noPermissionsTooltip', {
  defaultMessage: 'You need read-write access to Uptime to create anomaly alerts.'
});
const DISABLE_ANOMALY_ALERT = exports.DISABLE_ANOMALY_ALERT = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.disableAnomalyAlert', {
  defaultMessage: 'Disable anomaly alert'
});
const MANAGE_ANOMALY_DETECTION = exports.MANAGE_ANOMALY_DETECTION = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.manageAnomalyDetectionTitle', {
  defaultMessage: 'Manage anomaly detection'
});
const ML_MANAGEMENT_PAGE = exports.ML_MANAGEMENT_PAGE = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.manageMLJobDescription.mlJobsPageLinkText', {
  defaultMessage: 'Machine Learning jobs management page'
});
const TAKE_SOME_TIME_TEXT = exports.TAKE_SOME_TIME_TEXT = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.manageMLJobDescription.noteText', {
  defaultMessage: 'Note: It might take a few minutes for the job to begin calculating results.'
});
const CREATE_NEW_JOB = exports.CREATE_NEW_JOB = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.createNewJobButtonLabel', {
  defaultMessage: 'Create new job'
});
const CANCEL_LABEL = exports.CANCEL_LABEL = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.cancelLabel', {
  defaultMessage: 'Cancel'
});
const CREAT_ML_JOB_DESC = exports.CREAT_ML_JOB_DESC = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.createMLJobDescription', {
  defaultMessage: `Here you can create a machine learning job to calculate anomaly scores on
    response durations for Uptime Monitor. Once enabled, the monitor duration chart on the details page
    will show the expected bounds and annotate the graph with anomalies. You can also potentially
     identify periods of increased latency across geographical regions.`
});
const START_TRAIL = exports.START_TRAIL = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.startTrial', {
  defaultMessage: 'Start free 14-day trial'
});
const START_TRAIL_DESC = exports.START_TRAIL_DESC = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.startTrialDesc', {
  defaultMessage: 'In order to access duration anomaly detection, you have to be subscribed to an Elastic Platinum license.'
});
const ENABLE_MANAGE_JOB = exports.ENABLE_MANAGE_JOB = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.enable_or_manage_job', {
  defaultMessage: 'You can enable anomaly detection job or if job is already there you can manage the job or alert.'
});
const ADD_JOB_PERMISSIONS_NEEDED = exports.ADD_JOB_PERMISSIONS_NEEDED = _i18n.i18n.translate('xpack.uptime.ml.enableAnomalyDetectionPanel.add_job_permissions_needed', {
  defaultMessage: 'Permissions needed'
});