"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MonitorStatusDetailsComponent = void 0;
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _location_availability = require("./location_availability/location_availability");
var _status_bar = require("./status_bar");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const WrapFlexItem = (0, _styledComponents.default)(_eui.EuiFlexItem)`
  &&& {
    @media (max-width: 800px) {
      flex-basis: 100%;
    }
  }
`;
const MonitorStatusDetailsComponent = ({
  monitorLocations
}) => {
  return /*#__PURE__*/_react.default.createElement(_eui.EuiPanel, {
    hasBorder: true
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    gutterSize: "l",
    wrap: true,
    responsive: true
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: 1
  }, /*#__PURE__*/_react.default.createElement(_status_bar.MonitorStatusBar, null)), /*#__PURE__*/_react.default.createElement(WrapFlexItem, {
    grow: 1
  }, /*#__PURE__*/_react.default.createElement(_location_availability.LocationAvailability, {
    monitorLocations: monitorLocations
  }))));
};
exports.MonitorStatusDetailsComponent = MonitorStatusDetailsComponent;