"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UptimeAlertsFlyoutWrapper = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactRedux = require("react-redux");
var _actions = require("../../../../state/actions");
var _uptime_alerts_flyout_wrapper = require("../uptime_alerts_flyout_wrapper");
var _selectors = require("../../../../state/selectors");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const UptimeAlertsFlyoutWrapper = () => {
  const dispatch = (0, _reactRedux.useDispatch)();
  const setAddFlyoutVisibility = value => dispatch((0, _actions.setAlertFlyoutVisible)(value));
  const alertFlyoutVisible = (0, _reactRedux.useSelector)(_selectors.selectAlertFlyoutVisibility);
  const alertTypeId = (0, _reactRedux.useSelector)(_selectors.selectAlertFlyoutType);
  return /*#__PURE__*/_react.default.createElement(_uptime_alerts_flyout_wrapper.UptimeAlertsFlyoutWrapperComponent, {
    alertFlyoutVisible: alertFlyoutVisible,
    alertTypeId: alertTypeId,
    setAlertFlyoutVisibility: setAddFlyoutVisibility
  });
};
exports.UptimeAlertsFlyoutWrapper = UptimeAlertsFlyoutWrapper;