"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConsoleEvent = void 0;
var _eui = require("@elastic/eui");
var _react = _interopRequireWildcard(require("react"));
var _contexts = require("../../contexts");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const ConsoleEvent = ({
  event
}) => {
  var _event$synthetics, _event$synthetics2, _event$synthetics3, _event$synthetics3$pa;
  const {
    colors: {
      danger
    }
  } = (0, _react.useContext)(_contexts.UptimeThemeContext);
  let typeColor;
  if (((_event$synthetics = event.synthetics) === null || _event$synthetics === void 0 ? void 0 : _event$synthetics.type) === 'stderr') {
    typeColor = danger;
  } else {
    typeColor = undefined;
  }
  return /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false
  }, event['@timestamp']), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, {
    grow: false,
    style: {
      color: typeColor
    }
  }, (_event$synthetics2 = event.synthetics) === null || _event$synthetics2 === void 0 ? void 0 : _event$synthetics2.type), /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, (_event$synthetics3 = event.synthetics) === null || _event$synthetics3 === void 0 ? void 0 : (_event$synthetics3$pa = _event$synthetics3.payload) === null || _event$synthetics3$pa === void 0 ? void 0 : _event$synthetics3$pa.message));
};
exports.ConsoleEvent = ConsoleEvent;