"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = TLSAlert;
var _react = _interopRequireDefault(require("react"));
var _reactRedux = require("react-redux");
var _public = require("@kbn/kibana-react-plugin/public");
var _state = require("../../../state");
var _alert_tls = require("../../../components/overview/alerts/alerts_containers/alert_tls");
var _kibana_service = require("../../../state/kibana_service");
var _uptime_data_view_context = require("../../../contexts/uptime_data_view_context");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

// eslint-disable-next-line import/no-default-export
function TLSAlert({
  id,
  stackVersion,
  core,
  plugins,
  ruleParams,
  setRuleParams
}) {
  _kibana_service.kibanaService.core = core;
  return /*#__PURE__*/_react.default.createElement(_reactRedux.Provider, {
    store: _state.store
  }, /*#__PURE__*/_react.default.createElement(_public.KibanaContextProvider, {
    services: {
      ...core,
      ...plugins
    }
  }, /*#__PURE__*/_react.default.createElement(_uptime_data_view_context.UptimeDataViewContextProvider, {
    dataViews: plugins.dataViews
  }, /*#__PURE__*/_react.default.createElement(_alert_tls.AlertTls, {
    id: id,
    stackVersion: stackVersion,
    ruleParams: ruleParams,
    setRuleParams: setRuleParams
  }))));
}
module.exports = exports.default;