"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UserAvatarTip = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _user_avatar = require("./user_avatar");
var _user_tooltip = require("./user_tooltip");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

/**
 * Renders a user avatar with tooltip
 */
const UserAvatarTip = ({
  user,
  avatar,
  ...rest
}) => {
  if (!user) {
    return /*#__PURE__*/_react.default.createElement(_user_avatar.UserAvatar, rest);
  }
  return /*#__PURE__*/_react.default.createElement(_user_tooltip.UserToolTip, {
    user: user,
    avatar: avatar,
    position: "top",
    delay: "regular"
  }, /*#__PURE__*/_react.default.createElement(_user_avatar.UserAvatar, (0, _extends2.default)({
    user: user,
    avatar: avatar
  }, rest)));
};
exports.UserAvatarTip = UserAvatarTip;