"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SplitByFilters = void 0;
var _group_by_select = require("./group_by_select");
var _filter_items = require("./filter_items");
var _propTypes = _interopRequireDefault(require("prop-types"));
var _react = _interopRequireDefault(require("react"));
var _eui = require("@elastic/eui");
var _i18nReact = require("@kbn/i18n-react");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

const RESET_STATE = {
  split_filters: undefined
};
const SplitByFilters = props => {
  const {
    onChange,
    model,
    uiRestrictions,
    indexPattern
  } = props;
  const htmlId = (0, _eui.htmlIdGenerator)();
  return /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexGroup, {
    alignItems: "center"
  }, /*#__PURE__*/_react.default.createElement(_eui.EuiFlexItem, null, /*#__PURE__*/_react.default.createElement(_eui.EuiFormRow, {
    id: htmlId('group'),
    label: /*#__PURE__*/_react.default.createElement(_i18nReact.FormattedMessage, {
      id: "visTypeTimeseries.splits.filters.groupByLabel",
      defaultMessage: "Group by"
    })
  }, /*#__PURE__*/_react.default.createElement(_group_by_select.GroupBySelect, {
    value: model.split_mode,
    onChange: ([{
      value: newSplitMode = null
    }]) => {
      onChange({
        split_mode: newSplitMode,
        ...RESET_STATE
      });
    },
    uiRestrictions: uiRestrictions
  })))), /*#__PURE__*/_react.default.createElement(_filter_items.FilterItems, {
    name: "split_filters",
    model: model,
    onChange: onChange,
    indexPatterns: indexPattern
  }));
};
exports.SplitByFilters = SplitByFilters;
SplitByFilters.propTypes = {
  model: _propTypes.default.object,
  onChange: _propTypes.default.func,
  uiRestrictions: _propTypes.default.object,
  indexPatterns: _propTypes.default.array
};