"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.injectMapPropsIntoSpec = void 0;
var _vegaSpecInjector = _interopRequireDefault(require("vega-spec-injector"));
var _constants = require("../constants");
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

// @ts-expect-error

const injectMapPropsIntoSpec = spec => {
  const vsi = new _vegaSpecInjector.default();
  vsi.overrideField(spec, 'autosize', 'none');
  vsi.addToList(spec, 'signals', ['zoom', 'latitude', 'longitude']);
  vsi.addToList(spec, 'projections', [_constants.defaultProjection]);
  return spec;
};
exports.injectMapPropsIntoSpec = injectMapPropsIntoSpec;