"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isValidDateMath = isValidDateMath;
var z = _interopRequireWildcard(require("zod"));
var _datemath = _interopRequireDefault(require("@kbn/datemath"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

function validateDateMath(time) {
  const isValidDateString = !isNaN(Date.parse(time));
  if (isValidDateString) {
    return true;
  }
  const isDateMath = time.trim().startsWith('now');
  if (isDateMath) {
    return Boolean(_datemath.default.parse(time));
  }
  return false;
}
function isValidDateMath(input, ctx) {
  if (!validateDateMath(input)) {
    ctx.addIssue({
      code: z.ZodIssueCode.custom,
      message: 'Failed to parse date-math expression'
    });
  }
}