"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable class-methods-use-this */
const os = require("os");
const packageJson = require("../../package.json");
function processPlatformName(name) {
    switch (name) {
        case 'darwin':
            return 'MacOS';
        case 'win32':
            return 'Windows';
        case 'linux':
            return 'Linux';
        default:
            return name;
    }
}
class NodeInfo {
    constructor(config) {
        this.config = config;
    }
    platformData() {
        return {
            os: {
                name: processPlatformName(os.platform()),
                version: os.version(),
                arch: os.arch(),
            },
            name: 'Node',
            additional: {
                nodeVersion: process.versions.node,
            },
        };
    }
    sdkData() {
        return {
            name: packageJson.name,
            version: packageJson.version,
            userAgentBase: 'NodeJSClient',
            wrapperName: this.config.wrapperName,
            wrapperVersion: this.config.wrapperVersion,
        };
    }
}
exports.default = NodeInfo;
//# sourceMappingURL=NodeInfo.js.map